@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package CoinPython with version v1r0p2.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_CoinPython
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_CoinPython_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_CoinPython_path=%obuild_CoinPython_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinPython_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_CoinPython_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_CoinPython_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Python_version=25
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_command=cl.exe
:end_if_platform_5
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_optimize=/O2
:end_if_platform_7
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_9
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_11
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_dll_CoinPython_sh_12
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_dll_CoinPython_sh_12
:else_if_db_build_dll_CoinPython_sh_12
  SET obuild_cxx_debug_local=
:end_if_db_build_dll_CoinPython_sh_12

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_dll_CoinPython_sh_13
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_dll_CoinPython_sh_13
:else_if_opt_build_dll_CoinPython_sh_13
  SET obuild_cxx_optimize_local=
:end_if_opt_build_dll_CoinPython_sh_13


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_14
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_options=%obuild_cxx_options% /wd4244 /wd4700 /wd4049
:end_if_platform_15
SET obuild_platform_result=

IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_CoinPython_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_CoinPython_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_CoinPython_path%"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET obuild_cxx_includes=%obuild_cxx_includes% /I%Python_home%\include
:end_if_platform_19
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\dll_CoinPython" RMDIR /S /Q "%obuild_CoinPython_path%\%obuild_dir_bin%\dll_CoinPython"
IF NOT EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\dll_CoinPython" MKDIR "%obuild_CoinPython_path%\%obuild_dir_bin%\dll_CoinPython"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_CoinPython\SWIG_Python.obj  /Tp"..\source\SWIG_Python.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinPython_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
SET obuild_linked_libraries=%Python_home%\libs\python%Python_version%.lib
:end_if_platform_24
SET obuild_platform_result=
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Coin.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_28
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinPython_0=%%d
cd "%obuild_CoinPython_path%\%obuild_dir_bin%"
IF EXIST .\dll_CoinPython\tmp_objs DEL .\dll_CoinPython\tmp_objs
FOR %%f IN (.\dll_CoinPython\*.obj) DO ECHO %%f >> .\dll_CoinPython\tmp_objs

REM # Create the archive library CoinPython :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_CoinPython\CoinPython.arc @.\dll_CoinPython\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_CoinPython_path%\obuild\cpp\obuild_windef.c" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\dll_CoinPython\tmp .\dll_CoinPython\CoinPython.arc 1> dumpbin_exe_error .\dll_CoinPython\CoinPython.arc
@IF ERRORLEVEL 1 @TYPE dumpbin_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL dumpbin_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe CoinPython < .\dll_CoinPython\tmp > .\dll_CoinPython\CoinPython.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_CoinPython\CoinPython.lib /def:.\dll_CoinPython\CoinPython.def 1> lib_exe_error
@IF ERRORLEVEL 1 @TYPE lib_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL lib_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\CoinPython.dll DEL .\CoinPython.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\CoinPython.dll .\dll_CoinPython\CoinPython.exp .\dll_CoinPython\CoinPython.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_CoinPython_0%"
SET obuild_pwd_CoinPython_0=
IF EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd" DEL "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd"
MOVE "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.dll" "%obuild_CoinPython_path%\%obuild_dir_bin%\_CoinPython.pyd"
REM # Some cleanup :
IF EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\dll_CoinPython\tmp_objs" DEL "%obuild_CoinPython_path%\%obuild_dir_bin%\dll_CoinPython\tmp_objs"
IF EXIST "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.exp" DEL "%obuild_CoinPython_path%\%obuild_dir_bin%\CoinPython.exp"

:obuild_return
ENDLOCAL
@ECHO ON
