@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package CoinQt with version v1r130p2.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_CoinQt
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_CoinQt_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_CoinQt_path=%obuild_CoinQt_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_CoinQt_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.1.1
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_command=cl.exe
:end_if_platform_3
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_optimize=/O2
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_7
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_9
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_CoinQt_sh_10
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_CoinQt_sh_10
:else_if_db_build_lib_CoinQt_sh_10
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_CoinQt_sh_10

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_CoinQt_sh_11
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_CoinQt_sh_11
:else_if_opt_build_lib_CoinQt_sh_11
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_CoinQt_sh_11


SET obuild_cxx_macros=%obuild_cxx_macros% /DHAVE_CONFIG_H
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOQT_INTERNAL
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOQT_DEBUG=0
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOQT_MAKE_DLL
:end_if_platform_15
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_16
SET obuild_platform_result=

IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_CoinQt_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_CoinQt_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_CoinQt_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinQt_path%\src"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinQt_path%\data"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
SET obuild_cxx_includes=%obuild_cxx_includes% /I%Qt_home%\include /I%Qt_home%\include\QtCore /I%Qt_home%\include\Qt3Support /I%Qt_home%\include\QtGui /I%Qt_home%\include\QtOpenGL /I%Qt_home%\include\QtSql /I%Qt_home%\include\QtXml
:end_if_platform_24
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt" RMDIR /S /Q "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt"
IF NOT EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt" MKDIR "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt"

%Qt_home%\bin\moc -o ..\src\Inventor\Qt\moc_SoQtP.icc ..\include\Inventor\Qt\SoQtP.h
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\moc_SoQtComponentP.icc ..\include\Inventor\Qt\SoQtComponentP.h 
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\moc_SoQtGLWidgetP.icc ..\include\Inventor\Qt\SoQtGLWidgetP.h 
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\viewers\moc_SoQtExaminerViewerP.icc ..\include\Inventor\Qt\viewers\SoQtExaminerViewerP.h 
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\viewers\moc_SoQtFullViewerP.icc ..\include\Inventor\Qt\viewers\SoQtFullViewerP.h 
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\viewers\moc_SoQtPlaneViewerP.icc ..\include\Inventor\Qt\viewers\SoQtPlaneViewerP.h 
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\widgets\moc_QtNativePopupMenu.icc ..\include\Inventor\Qt\widgets\QtNativePopupMenu.h 
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\widgets\moc_SoQtGLArea.icc ..\include\Inventor\Qt\widgets\SoQtGLArea.h 
%Qt_home%\bin\moc -o ..\src\Inventor\Qt\widgets\moc_SoQtThumbWheel.icc ..\include\Inventor\Qt\widgets\SoQtThumbWheel.h 
@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAny.obj  /Tp"..\src\Inventor\Qt\SoAny.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAnyMaterialList.obj  /Tp"..\src\Inventor\Qt\SoAnyMaterialList.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAnyMaterialListBuiltins.obj  /Tp"..\src\Inventor\Qt\SoAnyMaterialListBuiltins.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQt.obj  /Tp"..\src\Inventor\Qt\SoQt.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtCommon.obj  /Tp"..\src\Inventor\Qt\SoQtCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtComponent.obj  /Tp"..\src\Inventor\Qt\SoQtComponent.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtComponentCommon.obj  /Tp"..\src\Inventor\Qt\SoQtComponentCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtCursor.obj  /Tp"..\src\Inventor\Qt\SoQtCursor.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtGLWidget.obj  /Tp"..\src\Inventor\Qt\SoQtGLWidget.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtGLWidgetCommon.obj  /Tp"..\src\Inventor\Qt\SoQtGLWidgetCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtObject.obj  /Tp"..\src\Inventor\Qt\SoQtObject.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtRenderArea.obj  /Tp"..\src\Inventor\Qt\SoQtRenderArea.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\6DOFEvents.obj  /Tp"..\src\Inventor\Qt\devices\6DOFEvents.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtDevice.obj  /Tp"..\src\Inventor\Qt\devices\SoQtDevice.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtDeviceCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtDeviceCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtInputFocus.obj  /Tp"..\src\Inventor\Qt\devices\SoQtInputFocus.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtInputFocusCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtInputFocusCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtKeyboard.obj  /Tp"..\src\Inventor\Qt\devices\SoQtKeyboard.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtKeyboardCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtKeyboardCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtMouse.obj  /Tp"..\src\Inventor\Qt\devices\SoQtMouse.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtMouseCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtMouseCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtSpaceball.obj  /Tp"..\src\Inventor\Qt\devices\SoQtSpaceball.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtSpaceballCommon.obj  /Tp"..\src\Inventor\Qt\devices\SoQtSpaceballCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ExaminerViewer.obj  /Tp"..\src\Inventor\Qt\viewers\ExaminerViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\FullViewer.obj  /Tp"..\src\Inventor\Qt\viewers\FullViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\PlaneViewer.obj  /Tp"..\src\Inventor\Qt\viewers\PlaneViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtConstrainedViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtConstrainedViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtExaminerViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtExaminerViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtFlyViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtFlyViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtFullViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtFullViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtPlaneViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtPlaneViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtWalkViewer.obj  /Tp"..\src\Inventor\Qt\viewers\SoQtWalkViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\QtNativePopupMenu.obj  /Tp"..\src\Inventor\Qt\widgets\QtNativePopupMenu.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoAnyThumbWheel.obj  /Tp"..\src\Inventor\Qt\widgets\SoAnyThumbWheel.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtGLArea.obj  /Tp"..\src\Inventor\Qt\widgets\SoQtGLArea.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtPopupMenu.obj  /Tp"..\src\Inventor\Qt\widgets\SoQtPopupMenu.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoQtThumbWheel.obj  /Tp"..\src\Inventor\Qt\widgets\SoQtThumbWheel.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ClickCounter.obj  /Tp"..\src\Inventor\Qt\nodes\ClickCounter.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ColorEditor.obj  /Tp"..\src\Inventor\Qt\nodes\ColorEditor.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Frame.obj  /Tp"..\src\Inventor\Qt\nodes\Frame.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Image.obj  /Tp"..\src\Inventor\Qt\nodes\Image.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Label.obj  /Tp"..\src\Inventor\Qt\nodes\Label.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\MaterialEditor.obj  /Tp"..\src\Inventor\Qt\nodes\MaterialEditor.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Pane.obj  /Tp"..\src\Inventor\Qt\nodes\Pane.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Position.obj  /Tp"..\src\Inventor\Qt\nodes\Position.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\RadioButton.obj  /Tp"..\src\Inventor\Qt\nodes\RadioButton.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SceneTexture2.obj  /Tp"..\src\Inventor\Qt\nodes\SceneTexture2.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Slider1.obj  /Tp"..\src\Inventor\Qt\nodes\Slider1.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Slider2.obj  /Tp"..\src\Inventor\Qt\nodes\Slider2.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\SoGuiNodes.obj  /Tp"..\src\Inventor\Qt\nodes\SoGuiNodes.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ToggleButton.obj  /Tp"..\src\Inventor\Qt\nodes\ToggleButton.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Translation.obj  /Tp"..\src\Inventor\Qt\nodes\Translation.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ViewpointWrapper.obj  /Tp"..\src\Inventor\Qt\nodes\ViewpointWrapper.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\ViewportFix.obj  /Tp"..\src\Inventor\Qt\nodes\ViewportFix.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Engines.obj  /Tp"..\src\Inventor\Qt\engines\Engines.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\Format.obj  /Tp"..\src\Inventor\Qt\engines\Format.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinQt\RadioGroup.obj  /Tp"..\src\Inventor\Qt\engines\RadioGroup.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinQt_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_86
SET obuild_cxx_linker_command=link.exe
:end_if_platform_86
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_88
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_88
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_90
SET obuild_cxx_linker_options=/nologo
:end_if_platform_90
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_CoinQt_sh_91
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_CoinQt_sh_91
:else_if_db_build_lib_CoinQt_sh_91
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_CoinQt_sh_91

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_CoinQt_sh_92
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_CoinQt_sh_92
:else_if_opt_build_lib_CoinQt_sh_92
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_CoinQt_sh_92

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_94
SET obuild_linked_paths=/LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=osc_Coin.lib
:end_if_platform_94
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_96
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_96
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_98
SET obuild_linked_libraries=%obuild_linked_libraries% %Qt_home%\lib\Qt3Support4.lib %Qt_home%\lib\QtGui4.lib %Qt_home%\lib\QtOpenGL4.lib %Qt_home%\lib\QtSql4.lib %Qt_home%\lib\QtXml4.lib %Qt_home%\lib\QtCore4.lib
:end_if_platform_98
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinQt_0=%%d
cd "%obuild_CoinQt_path%\%obuild_dir_bin%"
IF EXIST .\lib_CoinQt\tmp_objs DEL .\lib_CoinQt\tmp_objs
FOR %%f IN (.\lib_CoinQt\*.obj) DO ECHO %%f >> .\lib_CoinQt\tmp_objs

REM # Create the archive library CoinQt :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_CoinQt\CoinQt.arc @.\lib_CoinQt\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_CoinQt_path%\obuild\cpp\obuild_windef.c" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_CoinQt\tmp .\lib_CoinQt\CoinQt.arc 1> dumpbin_exe_error .\lib_CoinQt\CoinQt.arc
@IF ERRORLEVEL 1 @TYPE dumpbin_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL dumpbin_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe CoinQt < .\lib_CoinQt\tmp > .\lib_CoinQt\CoinQt.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\CoinQt.lib /def:.\lib_CoinQt\CoinQt.def 1> lib_exe_error
@IF ERRORLEVEL 1 @TYPE lib_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL lib_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\CoinQt.dll DEL .\CoinQt.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\CoinQt.dll .\CoinQt.exp .\lib_CoinQt\CoinQt.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_CoinQt_0%"
SET obuild_pwd_CoinQt_0=
REM # Some cleanup :
IF EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt\tmp_objs" DEL "%obuild_CoinQt_path%\%obuild_dir_bin%\lib_CoinQt\tmp_objs"
IF EXIST "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.exp" DEL "%obuild_CoinQt_path%\%obuild_dir_bin%\CoinQt.exp"

:obuild_return
ENDLOCAL
@ECHO ON
