@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package CoinWin with version v1r50p7.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_CoinWin
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_CoinWin_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_CoinWin_path=%obuild_CoinWin_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_CoinWin_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_CoinWin_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_CoinWin_sh_8
:else_if_db_build_lib_CoinWin_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_CoinWin_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_CoinWin_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_CoinWin_sh_9
:else_if_opt_build_lib_CoinWin_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_CoinWin_sh_9


SET obuild_cxx_macros=%obuild_cxx_macros% /DHAVE_CONFIG_H
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOWIN_INTERNAL
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOWIN_DEBUG=0
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOWIN_MAKE_DLL
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_14
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_14
SET obuild_platform_result=

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_CoinWin_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_CoinWin_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinWin_path%\src"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinWin_path%\data"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinWin_path%\include\Inventor\Win"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\lib_CoinWin" RMDIR /S /Q "%obuild_CoinWin_path%\%obuild_dir_bin%\lib_CoinWin"
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\lib_CoinWin" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%\lib_CoinWin"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoAny.obj  /Tp"..\src\Inventor\Win\SoAny.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoAnyMaterialList.obj  /Tp"..\src\Inventor\Win\SoAnyMaterialList.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoAnyMaterialListBuiltins.obj  /Tp"..\src\Inventor\Win\SoAnyMaterialListBuiltins.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWin.obj  /Tp"..\src\Inventor\Win\SoWin.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinCommon.obj  /Tp"..\src\Inventor\Win\SoWinCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinComponent.obj  /Tp"..\src\Inventor\Win\SoWinComponent.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinCursor.obj  /Tp"..\src\Inventor\Win\SoWinCursor.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinGLWidget.obj  /Tp"..\src\Inventor\Win\SoWinGLWidget.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinGLWidgetCommon.obj  /Tp"..\src\Inventor\Win\SoWinGLWidgetCommon.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinMaterialList.obj  /Tp"..\src\Inventor\Win\SoWinMaterialList.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinObject.obj  /Tp"..\src\Inventor\Win\SoWinObject.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinRenderArea.obj  /Tp"..\src\Inventor\Win\SoWinRenderArea.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\Win32API.obj  /Tp"..\src\Inventor\Win\Win32API.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinDevice.obj  /Tp"..\src\Inventor\Win\devices\SoWinDevice.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinInputFocus.obj  /Tp"..\src\Inventor\Win\devices\SoWinInputFocus.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinKeyboard.obj  /Tp"..\src\Inventor\Win\devices\SoWinKeyboard.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinMouse.obj  /Tp"..\src\Inventor\Win\devices\SoWinMouse.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinSpaceball.obj  /Tp"..\src\Inventor\Win\devices\SoWinSpaceball.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\ExaminerViewer.obj  /Tp"..\src\Inventor\Win\viewers\ExaminerViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\FullViewer.obj  /Tp"..\src\Inventor\Win\viewers\FullViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\PlaneViewer.obj  /Tp"..\src\Inventor\Win\viewers\PlaneViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinConstrainedViewer.obj  /Tp"..\src\Inventor\Win\viewers\SoWinConstrainedViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinExaminerViewer.obj  /Tp"..\src\Inventor\Win\viewers\SoWinExaminerViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinFlyViewer.obj  /Tp"..\src\Inventor\Win\viewers\SoWinFlyViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinFullViewer.obj  /Tp"..\src\Inventor\Win\viewers\SoWinFullViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinPlaneViewer.obj  /Tp"..\src\Inventor\Win\viewers\SoWinPlaneViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinViewer.obj  /Tp"..\src\Inventor\Win\viewers\SoWinViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinWalkViewer.obj  /Tp"..\src\Inventor\Win\viewers\SoWinWalkViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\WalkViewer.obj  /Tp"..\src\Inventor\Win\viewers\WalkViewer.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoAnyThumbWheel.obj  /Tp"..\src\Inventor\Win\widgets\SoAnyThumbWheel.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinBitmapButton.obj  /Tp"..\src\Inventor\Win\widgets\SoWinBitmapButton.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinPopupMenu.obj  /Tp"..\src\Inventor\Win\widgets\SoWinPopupMenu.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinThumbWheel.obj  /Tp"..\src\Inventor\Win\widgets\SoWinThumbWheel.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\SoWinViewerPrefSheet.obj  /Tp"..\src\Inventor\Win\widgets\SoWinViewerPrefSheet.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_CoinWin\WinNativePopupMenu.obj  /Tp"..\src\Inventor\Win\widgets\WinNativePopupMenu.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_61
SET obuild_cxx_linker_command=link.exe
:end_if_platform_61
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_63
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_63
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_65
SET obuild_cxx_linker_options=/nologo
:end_if_platform_65
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_CoinWin_sh_66
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_CoinWin_sh_66
:else_if_db_build_lib_CoinWin_sh_66
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_CoinWin_sh_66

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_CoinWin_sh_67
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_CoinWin_sh_67
:else_if_opt_build_lib_CoinWin_sh_67
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_CoinWin_sh_67

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_69
SET obuild_linked_paths=/LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=osc_Coin.lib
:end_if_platform_69
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_71
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_71
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF EXIST .\lib_CoinWin\tmp_objs DEL .\lib_CoinWin\tmp_objs
FOR %%f IN (.\lib_CoinWin\*.obj) DO ECHO %%f >> .\lib_CoinWin\tmp_objs

REM # Building the DLL :
IF EXIST .\CoinWin.dll DEL .\CoinWin.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\CoinWin.dll @.\lib_CoinWin\tmp_objs %obuild_linked_paths% %obuild_linked_libraries% 1> link_exe_error
@IF ERRORLEVEL 1 @TYPE link_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL link_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
REM # Some cleanup :
IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\lib_CoinWin\tmp_objs" DEL "%obuild_CoinWin_path%\%obuild_dir_bin%\lib_CoinWin\tmp_objs"
IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.exp" DEL "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin.exp"

:obuild_return
ENDLOCAL
@ECHO ON
