
pwd_dir="`pwd`"

package_dir=`eval dirname \"${pwd_dir}\"`

G4LABTEMPLATEONEROOT="${package_dir}"
export G4LABTEMPLATEONEROOT

G4LABROOT="${OSC_HOME_DIR}/Resources/G4Lab"
export G4LABROOT

lib_path="."

if [ `uname` = "Linux" ]; then
  if [ -z "${LD_LIBRARY_PATH}" ] ; then
    LD_LIBRARY_PATH="${lib_path}"
    export LD_LIBRARY_PATH
  else
    status=1;(echo $LD_LIBRARY_PATH | grep "${lib_path}" >& /dev/null  ) && status=0
    if [ $status != 0 ] ; then
      LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${lib_path}"
      export LD_LIBRARY_PATH
   fi
  fi
  unset lib_path
fi

if [ `uname` = "Darwin" ]; then
  if [ -z "${DYLD_LIBRARY_PATH}" ] ; then
    DYLD_LIBRARY_PATH="${lib_path}"
    export DYLD_LIBRARY_PATH
  else
    status=1;(echo $DYLD_LIBRARY_PATH | grep "${lib_path}" >& /dev/null  ) && status=0
    if [ $status != 0 ] ; then
      DYLD_LIBRARY_PATH="${DYLD_LIBRARY_PATH}:${lib_path}"
      export DYLD_LIBRARY_PATH
    fi
  fi
  unset lib_path
fi

