#ifndef G4Simple_RunAction_h
#define G4Simple_RunAction_h

#include <G4UserRunAction.hh>

namespace Slash {namespace Core {class IWriter;}}
class G4Timer;
 
namespace G4Simple {

class RunAction : public G4UserRunAction {
public:    
  RunAction(Slash::Core::IWriter*);
  virtual ~RunAction();
  void BeginOfRunAction(const G4Run*);
  void EndOfRunAction(const G4Run*);
private:
  Slash::Core::IWriter* fPrinter;
  G4Timer* fTimer;
};

}

#endif
