#ifndef G4Simple_SteppingAction_h
#define G4Simple_SteppingAction_h

#include <G4Lab/SteppingAction.h>

namespace AIDA {
  class IAnalysisFactory;
  class IHistogram1D;
}

namespace G4Simple {

class SteppingAction : public G4Lab::SteppingAction {
public:
  SteppingAction(AIDA::IAnalysisFactory*);
  virtual ~SteppingAction();
  virtual void UserSteppingAction(const G4Step*);
private:
  AIDA::IAnalysisFactory* fAIDA;
  AIDA::IHistogram1D* fHistoDE;
  AIDA::IHistogram1D* fHistoDL;
};

}

#endif
