@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package G4Simple with version v2r2p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_G4Simple_session
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_G4Simple_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_G4Simple_path=%obuild_G4Simple_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_G4Simple_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CLHEP_home=C:\cygwin\usr\local\CLHEP\2.0.3.2
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Geant4_system=WIN32-VC
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET Geant4_home=C:\cygwin\usr\local\geant4\geant4-09-01-patch-01
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_command=cl.exe
:end_if_platform_7
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_optimize=/O2
:end_if_platform_9
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_11
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_13
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_G4Simple_session_sh_14
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_G4Simple_session_sh_14
:else_if_db_build_app_G4Simple_session_sh_14
  SET obuild_cxx_debug_local=
:end_if_db_build_app_G4Simple_session_sh_14

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_G4Simple_session_sh_15
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_G4Simple_session_sh_15
:else_if_opt_build_app_G4Simple_session_sh_15
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_G4Simple_session_sh_15


IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_G4Simple_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r*`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r*`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  G4Lab v8r*`) DO SET obuild_G4Lab_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_G4Lab_path  ECHO Can't find G4Lab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r*`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r*`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r*`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r*`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  png v1r*`) DO SET obuild_png_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_png_path  ECHO Can't find png package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip v1r*`) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_G4Simple_path%"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET obuild_cxx_includes=%obuild_cxx_includes% /I%CLHEP_home%\include
:end_if_platform_19
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
SET obuild_cxx_includes=%obuild_cxx_includes% /I%Geant4_home%\include
:end_if_platform_21
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_AIDA_path%\src\cpp"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_G4Lab_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"

IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session" RMDIR /S /Q "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session"
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_G4Simple_session\G4Simple_session.obj  /Tp"..\applications\G4Simple_session.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_G4Simple_session\SteppingAction.obj  /Tp"..\source\SteppingAction.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET obuild_cxx_linker_command=link.exe
:end_if_platform_33
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_35
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
SET obuild_cxx_linker_options=/nologo
:end_if_platform_37
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_G4Simple_session_sh_38
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_G4Simple_session_sh_38
:else_if_db_build_app_G4Simple_session_sh_38
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_G4Simple_session_sh_38

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_G4Simple_session_sh_39
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_G4Simple_session_sh_39
:else_if_opt_build_app_G4Simple_session_sh_39
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_G4Simple_session_sh_39

SET obuild_linked_paths=/LIBPATH:"%obuild_OnX_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=OnXCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_G4Simple_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% G4SimpleCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_G4Lab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% G4LabUIOnX.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_G4Lab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% G4LabCore.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
SET obuild_linked_libraries=%obuild_linked_libraries% /LIBPATH:%Geant4_home%\lib\%Geant4_system% libG4readout.a libG4run.a libG4event.a libG4tracking.a libG4processes.a libG4digits_hits.a libG4track.a libG4particles.a libG4geometry.a libG4graphics_reps.a libG4materials.a libG4intercoms.a libG4global.a
:end_if_platform_49
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
SET obuild_linked_libraries=%obuild_linked_libraries% %CLHEP_home%\lib\CLHEP.lib
:end_if_platform_51
SET obuild_platform_result=
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibXML.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_expat_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_expat.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibZip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisGeometry.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_jpeg_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_jpeg.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_dvi2bitmap_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_dvi2bitmap.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_freetype2_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_freetype2.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_png_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_png.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zip_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Coin.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_79
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_79
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF EXIST .\app_G4Simple_session\tmp_objs DEL .\app_G4Simple_session\tmp_objs
FOR %%f IN (.\app_G4Simple_session\*.obj) DO ECHO %%f >> .\app_G4Simple_session\tmp_objs
REM # Link G4Simple_session :
IF EXIST .\G4Simple_session.exe DEL .\G4Simple_session.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\G4Simple_session.exe @.\app_G4Simple_session\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
REM # Some cleanup :
IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session\tmp_objs" DEL "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session\tmp_objs"
IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.ilk" DEL "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.ilk"
IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.pdb" DEL "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.pdb"
IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session\tmp_objs" DEL "%obuild_G4Simple_path%\%obuild_dir_bin%\app_G4Simple_session\tmp_objs"
IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.exp" DEL "%obuild_G4Simple_path%\%obuild_dir_bin%\G4Simple_session.exp"

:obuild_return
ENDLOCAL
@ECHO ON
