@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package G4Simple with version v2r2p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_G4SimpleCore
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_G4Simple_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_G4Simple_path=%obuild_G4Simple_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_G4Simple_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET CLHEP_home=C:\cygwin\usr\local\CLHEP\2.0.3.2
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Geant4_system=WIN32-VC
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET Geant4_home=C:\cygwin\usr\local\geant4\geant4-09-01-patch-01
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_command=cl.exe
:end_if_platform_7
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_optimize=/O2
:end_if_platform_9
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_11
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_13
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_G4SimpleCore_sh_14
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_G4SimpleCore_sh_14
:else_if_db_build_lib_G4SimpleCore_sh_14
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_G4SimpleCore_sh_14

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_G4SimpleCore_sh_15
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_G4SimpleCore_sh_15
:else_if_opt_build_lib_G4SimpleCore_sh_15
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_G4SimpleCore_sh_15


IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_G4Simple_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_G4Simple_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r*`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_G4Simple_path%"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
SET obuild_cxx_includes=%obuild_cxx_includes% /I%CLHEP_home%\include
:end_if_platform_19
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
SET obuild_cxx_includes=%obuild_cxx_includes% /I%Geant4_home%\include
:end_if_platform_21
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"

IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\lib_G4SimpleCore" RMDIR /S /Q "%obuild_G4Simple_path%\%obuild_dir_bin%\lib_G4SimpleCore"
IF NOT EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\lib_G4SimpleCore" MKDIR "%obuild_G4Simple_path%\%obuild_dir_bin%\lib_G4SimpleCore"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G4SimpleCore\CellHit.obj  /Tp"..\source\CellHit.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G4SimpleCore\CellSD.obj  /Tp"..\source\CellSD.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G4SimpleCore\Detector.obj  /Tp"..\source\Detector.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G4SimpleCore\PhysicsList.obj  /Tp"..\source\PhysicsList.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G4SimpleCore\Primary.obj  /Tp"..\source\Primary.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G4SimpleCore\EventAction.obj  /Tp"..\source\EventAction.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_G4SimpleCore\RunAction.obj  /Tp"..\source\RunAction.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_G4Simple_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_G4Simple_0=%%d
cd "%obuild_G4Simple_path%\%obuild_dir_bin%"
IF EXIST .\lib_G4SimpleCore\tmp_objs DEL .\lib_G4SimpleCore\tmp_objs
FOR %%f IN (.\lib_G4SimpleCore\*.obj) DO ECHO %%f >> .\lib_G4SimpleCore\tmp_objs

REM # Create the archive library G4SimpleCore :
IF EXIST .\G4SimpleCore.lib DEL .\G4SimpleCore.lib
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\G4SimpleCore.lib @.\lib_G4SimpleCore\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_G4Simple_0%"
SET obuild_pwd_G4Simple_0=
REM # Some cleanup :
IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\lib_G4SimpleCore\tmp_objs" DEL "%obuild_G4Simple_path%\%obuild_dir_bin%\lib_G4SimpleCore\tmp_objs"
IF EXIST "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.exp" DEL "%obuild_G4Simple_path%\%obuild_dir_bin%\G4SimpleCore.exp"

:obuild_return
ENDLOCAL
@ECHO ON
