@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package HEPVis with version v6r10p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_HEPVisSDL
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_HEPVis_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_HEPVis_path=%obuild_HEPVis_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_HEPVis_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.1.1
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET curl_home=C:\usr\local\curl\7.15.1
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET Python_version=25
:end_if_platform_9
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_command=cl.exe
:end_if_platform_11
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_optimize=/O2
:end_if_platform_13
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_15
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_17
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_HEPVisSDL_sh_18
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_lib_HEPVisSDL_sh_18
:else_if_db_build_lib_HEPVisSDL_sh_18
  SET obuild_cxx_debug_local=
:end_if_db_build_lib_HEPVisSDL_sh_18

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_HEPVisSDL_sh_19
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_lib_HEPVisSDL_sh_19
:else_if_opt_build_lib_HEPVisSDL_sh_19
  SET obuild_cxx_optimize_local=
:end_if_opt_build_lib_HEPVisSDL_sh_19


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_20
SET obuild_platform_result=

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_HEPVis_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  SoSDL v1r*`) DO SET obuild_SoSDL_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_SoSDL_path  ECHO Can't find SoSDL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  SoSDL v1r*`) DO SET obuild_SoSDL_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_SoSDL_path  ECHO Can't find SoSDL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r*`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r*`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r*`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  png v1r*`) DO SET obuild_png_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_png_path  ECHO Can't find png package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_HEPVis_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_SoSDL_path%\include"
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
SET obuild_cxx_includes=%obuild_cxx_includes% /I%SDL_home%\include
:end_if_platform_26
SET obuild_platform_result=
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\lib_HEPVisSDL" RMDIR /S /Q "%obuild_HEPVis_path%\%obuild_dir_bin%\lib_HEPVisSDL"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\lib_HEPVisSDL" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%\lib_HEPVisSDL"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\lib_HEPVisSDL\SoSDL_Viewer.obj  /Tp"..\source\SDL\SoSDL_Viewer.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_HEPVis_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
SET obuild_cxx_linker_command=link.exe
:end_if_platform_31
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_33
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
SET obuild_cxx_linker_options=/nologo
:end_if_platform_35
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_HEPVisSDL_sh_36
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_lib_HEPVisSDL_sh_36
:else_if_db_build_lib_HEPVisSDL_sh_36
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_lib_HEPVisSDL_sh_36

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_HEPVisSDL_sh_37
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_lib_HEPVisSDL_sh_37
:else_if_opt_build_lib_HEPVisSDL_sh_37
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_lib_HEPVisSDL_sh_37

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
SET obuild_linked_paths=/LIBPATH:"%obuild_SoSDL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=SoSDL.lib
:end_if_platform_39
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
SET obuild_linked_libraries=%obuild_linked_libraries% %SDL_home%\lib\SDL.lib
:end_if_platform_41
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisUtils.lib
:end_if_platform_43
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_freetype2_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_freetype2.lib
:end_if_platform_45
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_jpeg_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_jpeg.lib
:end_if_platform_47
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_dvi2bitmap_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_dvi2bitmap.lib
:end_if_platform_49
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_png_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_png.lib
:end_if_platform_51
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_53
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
:end_if_platform_53
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_55
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Coin.lib
:end_if_platform_55
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_57
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_57
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_59
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_59
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF EXIST .\lib_HEPVisSDL\tmp_objs DEL .\lib_HEPVisSDL\tmp_objs
FOR %%f IN (.\lib_HEPVisSDL\*.obj) DO ECHO %%f >> .\lib_HEPVisSDL\tmp_objs

REM # Create the archive library HEPVisSDL :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\lib_HEPVisSDL\HEPVisSDL.arc @.\lib_HEPVisSDL\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_HEPVis_path%\obuild\cpp\obuild_windef.c" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\lib_HEPVisSDL\tmp .\lib_HEPVisSDL\HEPVisSDL.arc 1> dumpbin_exe_error .\lib_HEPVisSDL\HEPVisSDL.arc
@IF ERRORLEVEL 1 @TYPE dumpbin_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL dumpbin_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe HEPVisSDL < .\lib_HEPVisSDL\tmp > .\lib_HEPVisSDL\HEPVisSDL.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\HEPVisSDL.lib /def:.\lib_HEPVisSDL\HEPVisSDL.def 1> lib_exe_error
@IF ERRORLEVEL 1 @TYPE lib_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL lib_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\HEPVisSDL.dll DEL .\HEPVisSDL.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\HEPVisSDL.dll .\HEPVisSDL.exp .\lib_HEPVisSDL\HEPVisSDL.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
REM # Some cleanup :
IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\lib_HEPVisSDL\tmp_objs" DEL "%obuild_HEPVis_path%\%obuild_dir_bin%\lib_HEPVisSDL\tmp_objs"
IF EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.exp" DEL "%obuild_HEPVis_path%\%obuild_dir_bin%\HEPVisSDL.exp"

:obuild_return
ENDLOCAL
@ECHO ON
