@ECHO OFF

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package HEPVis with version v6r10p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> setup
REM # or :
REM #   DOS> setup.bat
REM # or :
REM #   DOS> call setup.bat
REM #////////////////////////////////////////////////

SET obuild_HEPVis_path=%~dp0
REM # Remove ending \obuild\
SET obuild_HEPVis_path=%obuild_HEPVis_path:~0,-8%

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_HEPVis_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.1.1
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET curl_home=C:\usr\local\curl\7.15.1
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET Python_version=25
:end_if_platform_9
SET obuild_platform_result=
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%" MKDIR "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_HEPVis_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_HEPVis_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  png v1r*`) DO SET obuild_png_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_png_path  ECHO Can't find png package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r*`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r*`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r*`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinXt v1r*`) DO SET obuild_CoinXt_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_CoinXt_path  ECHO Can't find CoinXt package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinWin v1r*`) DO SET obuild_CoinWin_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_CoinWin_path  ECHO Can't find CoinWin package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinQt v1r*`) DO SET obuild_CoinQt_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_CoinQt_path  ECHO Can't find CoinQt package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGtk v1r*`) DO SET obuild_CoinGtk_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_CoinGtk_path  ECHO Can't find CoinGtk package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  SoSDL v1r*`) DO SET obuild_SoSDL_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_SoSDL_path  ECHO Can't find SoSDL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_HEPVis_0=%%d
cd "%obuild_HEPVis_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinPython v1r*`) DO SET obuild_CoinPython_path=%%j
cd "%obuild_pwd_HEPVis_0%"
SET obuild_pwd_HEPVis_0=
IF NOT DEFINED obuild_CoinPython_path  ECHO Can't find CoinPython package.  && GOTO obuild_return

REM # Execute setup of used packages :
IF NOT EXIST "%obuild_zlib_path%\obuild\setup.bat"  ECHO setup.bat not found for package zlib.  && GOTO obuild_return
CALL "%obuild_zlib_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_png_path%\obuild\setup.bat"  ECHO setup.bat not found for package png.  && GOTO obuild_return
CALL "%obuild_png_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_jpeg_path%\obuild\setup.bat"  ECHO setup.bat not found for package jpeg.  && GOTO obuild_return
CALL "%obuild_jpeg_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_dvi2bitmap_path%\obuild\setup.bat"  ECHO setup.bat not found for package dvi2bitmap.  && GOTO obuild_return
CALL "%obuild_dvi2bitmap_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_freetype2_path%\obuild\setup.bat"  ECHO setup.bat not found for package freetype2.  && GOTO obuild_return
CALL "%obuild_freetype2_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_CoinXt_path%\obuild\setup.bat"  ECHO setup.bat not found for package CoinXt.  && GOTO obuild_return
CALL "%obuild_CoinXt_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_CoinWin_path%\obuild\setup.bat"  ECHO setup.bat not found for package CoinWin.  && GOTO obuild_return
CALL "%obuild_CoinWin_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_CoinQt_path%\obuild\setup.bat"  ECHO setup.bat not found for package CoinQt.  && GOTO obuild_return
CALL "%obuild_CoinQt_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_CoinGtk_path%\obuild\setup.bat"  ECHO setup.bat not found for package CoinGtk.  && GOTO obuild_return
CALL "%obuild_CoinGtk_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_SoSDL_path%\obuild\setup.bat"  ECHO setup.bat not found for package SoSDL.  && GOTO obuild_return
CALL "%obuild_SoSDL_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_CoinPython_path%\obuild\setup.bat"  ECHO setup.bat not found for package CoinPython.  && GOTO obuild_return
CALL "%obuild_CoinPython_path%\obuild\setup.bat"
@ECHO OFF

REM # Set environment variables of this package :

IF DEFINED TTFPATH GOTO else_if_var_HEPVis_11
  SET TTFPATH=%obuild_HEPVis_path%\fonts
  GOTO end_if_var_HEPVis_11
:else_if_var_HEPVis_11
  SET TTFPATH=%TTFPATH%;%obuild_HEPVis_path%\fonts
:end_if_var_HEPVis_11

IF DEFINED PYTHONPATH GOTO else_if_var_HEPVis_13
  SET PYTHONPATH=%obuild_HEPVis_path%\scripts\Python
  GOTO end_if_var_HEPVis_13
:else_if_var_HEPVis_13
  SET PYTHONPATH=%PYTHONPATH%;%obuild_HEPVis_path%\scripts\Python
:end_if_var_HEPVis_13

IF DEFINED PYTHONPATH GOTO else_if_var_HEPVis_15
  SET PYTHONPATH=%obuild_HEPVis_path%\%obuild_dir_bin%
  GOTO end_if_var_HEPVis_15
:else_if_var_HEPVis_15
  SET PYTHONPATH=%PYTHONPATH%;%obuild_HEPVis_path%\%obuild_dir_bin%
:end_if_var_HEPVis_15

IF DEFINED PATH GOTO else_if_path_HEPVis_16
  SET PATH=%obuild_HEPVis_path%\%obuild_dir_bin%
  GOTO end_if_path_HEPVis_16
:else_if_path_HEPVis_16
  SET PATH=%PATH%;%obuild_HEPVis_path%\%obuild_dir_bin%
:end_if_path_HEPVis_16

IF DEFINED PATH GOTO else_if_path_HEPVis_17
  SET PATH=%SDL_home%\lib
  GOTO end_if_path_HEPVis_17
:else_if_path_HEPVis_17
  SET PATH=%PATH%;%SDL_home%\lib
:end_if_path_HEPVis_17

IF DEFINED PATH GOTO else_if_path_HEPVis_18
  SET PATH=%curl_home%
  GOTO end_if_path_HEPVis_18
:else_if_path_HEPVis_18
  SET PATH=%PATH%;%curl_home%
:end_if_path_HEPVis_18

:obuild_return

SET obuild_HEPVis_path=

REM # FIXME SET obuild_dir_bin=

@ECHO ON
