// this :
#include <Lib/A2s.h>

typedef std::complex<double> z;

//////////////////////////////////////////////////////////////////////////////
/// Some common matrices /////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
Lib::A22d_I::A22d_I(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue00(1);
  setValue11(1);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A22z_I::A22z_I(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue00(z(1,0));
  setValue11(z(1,0));
}
//////////////////////////////////////////////////////////////////////////////
Lib::A22z_Pauli1::A22z_Pauli1(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue01(1);
  setValue10(1);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A22z_Pauli2::A22z_Pauli2(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  z i(0,1);
  setValue01(-i);
  setValue10( i);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A22z_Pauli3::A22z_Pauli3(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue00(1);
  setValue11(-1);
}
//////////////////////////////////////////////////////////////////////////////
Lib::A22z_Epsilon::A22z_Epsilon(
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  setValue01(1);
  setValue10(-1);
}

/// To test compilation.

void Lib_A2_test() {
  Lib::A22<double> aa1;
  Lib::A22<double> aa2;
  aa1.invert(aa2);
  Lib::A22<double> tmp;
  aa1.mxmul(aa2,tmp);
}


