// this :
#include <Lib/nmanip.h>

#include <stdlib.h> //qsort

extern "C" {
typedef int (*SortFunction)(const void*,const void*);
static int Greater(int* a1,int* a2){
  if(*a1==*a2) return 0;
  return (*a1>*a2)?1:-1;
}
static int Lesser(int* a1,int* a2){
  if(*a1==*a2) return 0;
  return (*a1<*a2)?1:-1;
}
}
//////////////////////////////////////////////////////////////////////////////
void Lib::nmanip::sort(
 std::vector<int>& aVec
,bool aIncreasing
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  unsigned int l = aVec.size();
  if(l<=1) return;
  int* vec = new int[l];
 {for(unsigned int i=0;i<l;i++) vec[i] = aVec[i];}

  if(aIncreasing) 
    ::qsort((void*)vec,(size_t)l,(size_t)sizeof(int),(SortFunction)Greater);
  else
    ::qsort((void*)vec,(size_t)l,(size_t)sizeof(int),(SortFunction)Lesser);

 {for(unsigned int i=0;i<l;i++) aVec[i] = vec[i];}

  delete [] vec;
}
