#include <Slash/Core/IManager.h>
#include <Slash/Core/ISession.h>

#include <Lib/Printer.h>
#include <Lib/Out.h>
#include <Lib/Debug.h>
#include <Lib/DLL.h>
#include <Lib/smanip.h>
#include <Lib/fmanip.h>
#include <Lib/Session.h>

#include <stdio.h>
#include <stdlib.h>

//////////////////////////////////////////////////////////////////////////////
int main (
 int /*aArgc*/
,char** /*aArgv*/
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Lib::Printer printer;
  Lib::Out out(printer);

  std::vector<std::string> ss;
  ss.push_back("a1Slash::Core::ILibraryManager");
  ss.push_back("a2Slash::Core::ILibraryManager");
  ss.push_back("a3Slash::Core::ILibraryManager");
  ss.push_back("a1Slash::Core::ILibraryManager");
  ss.push_back("a2Slash::Core::ILibraryManager");
  ss.push_back("a1Slash::Core::ILibraryManager");
  ss.push_back("a2Slash::Core::ILibraryManager");
  ss.push_back("a1Slash::Core::ILibraryManager");
  ss.push_back("a2Slash::Core::ILibraryManager");

  Lib::smanip::remove(ss,"a2Slash::Core::ILibraryManager");
  //Lib::smanip::unique(ss);
  //Lib::smanip::write(ss,printer);

  Lib::smanip::unique(ss);
  Lib::smanip::write(ss,printer);

  /*
  std::string s = " abcdef  ";
  Lib::smanip::justify(s,3);
  out << Lib::sout(s) << Lib::endl;

  s = " abcdef  ";
  Lib::smanip::justify(s,12,Lib::smanip::left);
  out << Lib::sout(s) << Lib::endl;

  s = " abcdef  ";
  Lib::smanip::justify(s,12,Lib::smanip::right);
  out << Lib::sout(s) << Lib::endl;

  s = " abcdef  ";
  Lib::smanip::justify(s,12,Lib::smanip::middle);
  out << Lib::sout(s) << Lib::endl;

  s = " abcdef  ";
  Lib::smanip::justify(s,13,Lib::smanip::middle);
  out << Lib::sout(s) << Lib::endl;

  out << Lib::sout(Lib::sjust(134,12,Lib::smanip::middle)) << Lib::endl;
  */


  /*
  Lib::Printer printer;
  {
  Lib::fmanip fmanip;
  std::string name;
  if(fmanip.tmpname(name)) {
    FILE* file = fopen(name.c_str(),"w");
    fprintf(file,"debug");
    fclose(file);
    printf("debug:%s|\n",name.c_str());
    ::remove(name.c_str());
  }
  

  Lib::DLL module("LibTest",printer);
 { 
  Lib::Session session(printer); 


  typedef Slash::Core::IManager*(*F)(Slash::Core::ISession&,int,char**);
  F factory = (F)module.findProcedure("LibTestFactory");
  if(!factory) {
    Lib::Out out(printer);
    out << "Function LibTestFactory not found" << Lib::endl;
    return 0;
  }

  Slash::Core::IManager* gui = factory(session,aArgc,aArgv);
  if(gui) {
    session.addManager(gui);
  }
  session.findManager("TestManager");

  } 

  }Lib::Debug::balance(printer);
  */
  return 0;
}
