@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package OnX with version v17r5p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_OnX_server
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_OnX_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_OnX_path=%obuild_OnX_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_OnX_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_OnX_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.1.1
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Python_version=25
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET JavaVM_home=C:\usr\local\j2sdk1.4.1
:end_if_platform_9
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_command=cl.exe
:end_if_platform_11
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_optimize=/O2
:end_if_platform_13
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_15
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_17
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_OnX_server_sh_18
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_OnX_server_sh_18
:else_if_db_build_app_OnX_server_sh_18
  SET obuild_cxx_debug_local=
:end_if_db_build_app_OnX_server_sh_18

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_OnX_server_sh_19
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_OnX_server_sh_19
:else_if_opt_build_app_OnX_server_sh_19
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_OnX_server_sh_19


IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_OnX_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_OnX_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r*`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r*`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r*`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip v1r*`) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_OnX_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_expat_path%\include"

IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server" RMDIR /S /Q "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_OnX_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_OnX_server\OnX_server.obj  /Tp"..\applications\OnX_server.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_OnX_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_30
SET obuild_cxx_linker_command=link.exe
:end_if_platform_30
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_32
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_32
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
SET obuild_cxx_linker_options=/nologo
:end_if_platform_34
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_OnX_server_sh_35
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_OnX_server_sh_35
:else_if_db_build_app_OnX_server_sh_35
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_OnX_server_sh_35

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_OnX_server_sh_36
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_OnX_server_sh_36
:else_if_opt_build_app_OnX_server_sh_36
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_OnX_server_sh_36

SET obuild_linked_paths=/LIBPATH:"%obuild_OnX_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=OnXCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibSocket.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibXML.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_expat_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_expat.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibZip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zip_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibUtils.lib

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF EXIST .\app_OnX_server\tmp_objs DEL .\app_OnX_server\tmp_objs
FOR %%f IN (.\app_OnX_server\*.obj) DO ECHO %%f >> .\app_OnX_server\tmp_objs
REM # Link OnX_server :
IF EXIST .\OnX_server.exe DEL .\OnX_server.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\OnX_server.exe @.\app_OnX_server\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\oserver.exe" DEL "%obuild_OnX_path%\%obuild_dir_bin%\oserver.exe"
COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_server.exe" "%obuild_OnX_path%\%obuild_dir_bin%\oserver.exe" 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
cd ..\..\..
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_dir_top=%%d
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obuild_subf.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_OnX_path%\%obuild_dir_bin%\obuild_subf.exe" "%obuild_OnX_path%\obuild\cpp\obuild_subf.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_subf.obj DEL obuild_subf.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF EXIST OnX_server.save DEL OnX_server.save
ECHO obuild_package=OnX >> OnX_server.save
ECHO obuild_package=v17r5p0 >> OnX_server.save
ECHO obuild_cxx_command=%obuild_cxx_command% >> OnX_server.save
ECHO obuild_cxx_debug=%obuild_cxx_debug% >> OnX_server.save
ECHO obuild_cxx_optimize=%obuild_cxx_optimize% >> OnX_server.save
ECHO obuild_cxx_options=%obuild_cxx_options% >> OnX_server.save
ECHO obuild_cxx_macros=%obuild_cxx_macros% >> OnX_server.save
ECHO obuild_cxx_dll_builder_options=%obuild_cxx_dll_builder_options% >> OnX_server.save
ECHO obuild_cxx_includes=%obuild_cxx_includes% >> OnX_server.save
ECHO obuild_linked_paths=%obuild_linked_paths% >> OnX_server.save
ECHO obuild_linked_libraries=%obuild_linked_libraries% >> OnX_server.save
.\obuild_subf.exe OnX_server.save "%obuild_dir_top%" @@top@@
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
SET obuild_dir_top=
REM # Some cleanup :
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server\tmp_objs" DEL "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server\tmp_objs"
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_server.ilk" DEL "%obuild_OnX_path%\%obuild_dir_bin%\OnX_server.ilk"
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_server.pdb" DEL "%obuild_OnX_path%\%obuild_dir_bin%\OnX_server.pdb"
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server\tmp_objs" DEL "%obuild_OnX_path%\%obuild_dir_bin%\app_OnX_server\tmp_objs"
IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_server.exp" DEL "%obuild_OnX_path%\%obuild_dir_bin%\OnX_server.exp"

:obuild_return
ENDLOCAL
@ECHO ON
