@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package OnX with version v17r5p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_OnX_SWIG_Java_jar
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_OnX_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_OnX_path=%obuild_OnX_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_OnX_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_OnX_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Qt_home=C:\usr\local\Qt\4.1.1
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET SDL_home=C:\usr\local\SDL\1.2.11
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET Python_version=25
:end_if_platform_7
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
cd "%obuild_OnX_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET JavaVM_home=C:\usr\local\j2sdk1.4.1
:end_if_platform_9
SET obuild_platform_result=
SET obuild_java_command=javac
IF "%obuild_java_command%" == ""  ECHO Variable obuild_java_command not defined.  && GOTO obuild_return

SET obuild_java_debug=-g

IF NOT %obuild_debug% == yes GOTO else_if_db_build_lib_OnX_SWIG_Java_jar_sh_14
  SET obuild_java_debug_local=%obuild_java_debug%
  GOTO end_if_db_build_lib_OnX_SWIG_Java_jar_sh_14
:else_if_db_build_lib_OnX_SWIG_Java_jar_sh_14
  SET obuild_java_debug_local=
:end_if_db_build_lib_OnX_SWIG_Java_jar_sh_14

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_lib_OnX_SWIG_Java_jar_sh_15
  SET obuild_java_optimize_local=%obuild_java_optimize%
  GOTO end_if_opt_build_lib_OnX_SWIG_Java_jar_sh_15
:else_if_opt_build_lib_OnX_SWIG_Java_jar_sh_15
  SET obuild_java_optimize_local=
:end_if_opt_build_lib_OnX_SWIG_Java_jar_sh_15


IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\lib_OnX_SWIG_Java_jar" RMDIR /S /Q "%obuild_OnX_path%\%obuild_dir_bin%\lib_OnX_SWIG_Java_jar"
IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\lib_OnX_SWIG_Java_jar" MKDIR "%obuild_OnX_path%\%obuild_dir_bin%\lib_OnX_SWIG_Java_jar"

%obuild_java_command% %obuild_java_debug_local% -d "%obuild_OnX_path%\%obuild_dir_bin%\lib_OnX_SWIG_Java_jar"   ..\source\Java\OnX\HEPVis_SoImage.java ..\source\Java\OnX\IAccessor.java ..\source\Java\OnX\IAction.java ..\source\Java\OnX\IArray.java ..\source\Java\OnX\IArrayFactory.java ..\source\Java\OnX\ICallbackData.java ..\source\Java\OnX\ICyclic.java ..\source\Java\OnX\IDirectoryVisitor.java ..\source\Java\OnX\IFolder.java ..\source\Java\OnX\IFolderIterator.java ..\source\Java\OnX\IFolderVisitor.java ..\source\Java\OnX\IFunction.java ..\source\Java\OnX\IFunctionManager.java ..\source\Java\OnX\IHandler.java ..\source\Java\OnX\IHandlersIterator.java ..\source\Java\OnX\IInterpreter.java ..\source\Java\OnX\IIterator.java ..\source\Java\OnX\ILibrary.java ..\source\Java\OnX\ILibraryManager.java ..\source\Java\OnX\IManager.java ..\source\Java\OnX\IMessage.java ..\source\Java\OnX\IObject.java ..\source\Java\OnX\IObjectIterator.java ..\source\Java\OnX\IProcessor.java ..\source\Java\OnX\IProperty.java ..\source\Java\OnX\IReader.java ..\source\Java\OnX\IRelation.java ..\source\Java\OnX\IRelationManager.java ..\source\Java\OnX\IRelationVisitor.java ..\source\Java\OnX\IScriptManager.java ..\source\Java\OnX\ISession.java ..\source\Java\OnX\ISoViewer.java ..\source\Java\OnX\IStoreManager.java ..\source\Java\OnX\IStyleManager.java ..\source\Java\OnX\ITree.java ..\source\Java\OnX\IUI.java ..\source\Java\OnX\IUI_Manager.java ..\source\Java\OnX\IVisualizer.java ..\source\Java\OnX\IWidget.java ..\source\Java\OnX\IWidgetClass.java ..\source\Java\OnX\IWidgetFactory.java ..\source\Java\OnX\IWriter.java ..\source\Java\OnX\Main.java ..\source\Java\OnX\OnX.java ..\source\Java\OnX\OnXConstants.java ..\source\Java\OnX\OnXJNI.java ..\source\Java\OnX\OnX_SWIG_Test.java ..\source\Java\OnX\RandomBreitWigner.java ..\source\Java\OnX\RandomExponential.java ..\source\Java\OnX\RandomFlat.java ..\source\Java\OnX\RandomGauss.java ..\source\Java\OnX\SWIGTYPE_p_Lib__int64.java ..\source\Java\OnX\SWIGTYPE_p_Lib__uint64.java ..\source\Java\OnX\SWIGTYPE_p_SbBox3f.java ..\source\Java\OnX\SWIGTYPE_p_SbStyle.java ..\source\Java\OnX\SWIGTYPE_p_Slash__Core__IValue.java ..\source\Java\OnX\SWIGTYPE_p_SoGetBoundingBoxAction.java ..\source\Java\OnX\SWIGTYPE_p_SoSFUShort.java ..\source\Java\OnX\SWIGTYPE_p_a_3__float.java ..\source\Java\OnX\SWIGTYPE_p_bool.java ..\source\Java\OnX\SWIGTYPE_p_double.java ..\source\Java\OnX\SWIGTYPE_p_f___void.java ..\source\Java\OnX\SWIGTYPE_p_f_p_void__int.java ..\source\Java\OnX\SWIGTYPE_p_f_r_q_const__std__string_p_void__bool.java ..\source\Java\OnX\SWIGTYPE_p_float.java ..\source\Java\OnX\SWIGTYPE_p_int.java ..\source\Java\OnX\SWIGTYPE_p_long.java ..\source\Java\OnX\SWIGTYPE_p_p_char.java ..\source\Java\OnX\SWIGTYPE_p_std__string.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTSlash__Core__IValue_p_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTSlash__Data__IAccessor_p_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTdouble_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTint_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTstd__pairTint_std__pairTdouble_double_t_t_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTstd__pairTstd__string_std__string_t_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTstd__pairTunsigned_int_unsigned_int_t_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTstd__string_t.java ..\source\Java\OnX\SWIGTYPE_p_std__vectorTunsigned_int_t.java ..\source\Java\OnX\SWIGTYPE_p_unsigned_char.java ..\source\Java\OnX\SWIGTYPE_p_unsigned_int.java ..\source\Java\OnX\SWIGTYPE_p_void.java ..\source\Java\OnX\SbAddNode.java ..\source\Java\OnX\SbColor.java ..\source\Java\OnX\SbDoIt.java ..\source\Java\OnX\SbName.java ..\source\Java\OnX\SbRotation.java ..\source\Java\OnX\SbString.java ..\source\Java\OnX\SbVec2f.java ..\source\Java\OnX\SbVec3f.java ..\source\Java\OnX\So3DErrorBar.java ..\source\Java\OnX\SoAction.java ..\source\Java\OnX\SoAlternateRepAction.java ..\source\Java\OnX\SoAreaStyle.java ..\source\Java\OnX\SoArray.java ..\source\Java\OnX\SoArrow.java ..\source\Java\OnX\SoAxes2D.java ..\source\Java\OnX\SoAxes3D.java ..\source\Java\OnX\SoAxis.java ..\source\Java\OnX\SoBase.java ..\source\Java\OnX\SoBaseKit.java ..\source\Java\OnX\SoBox.java ..\source\Java\OnX\SoCamera.java ..\source\Java\OnX\SoCanvas.java ..\source\Java\OnX\SoCons.java ..\source\Java\OnX\SoCoordinate3.java ..\source\Java\OnX\SoCoordinateAxis.java ..\source\Java\OnX\SoCube.java ..\source\Java\OnX\SoCylinder.java ..\source\Java\OnX\SoDB.java ..\source\Java\OnX\SoDetectorExample.java ..\source\Java\OnX\SoDetectorTreeKit.java ..\source\Java\OnX\SoDirectionalLight.java ..\source\Java\OnX\SoDisplayRegion.java ..\source\Java\OnX\SoDrawStyle.java ..\source\Java\OnX\SoEllipsoid.java ..\source\Java\OnX\SoEllipsoidSegment.java ..\source\Java\OnX\SoEllipticalPrism.java ..\source\Java\OnX\SoField.java ..\source\Java\OnX\SoFieldContainer.java ..\source\Java\OnX\SoGrid.java ..\source\Java\OnX\SoGroup.java ..\source\Java\OnX\SoHighlightMaterial.java ..\source\Java\OnX\SoImageRegion.java ..\source\Java\OnX\SoImageWriter.java ..\source\Java\OnX\SoInput.java ..\source\Java\OnX\SoLight.java ..\source\Java\OnX\SoLightModel.java ..\source\Java\OnX\SoLineSet.java ..\source\Java\OnX\SoLineStyle.java ..\source\Java\OnX\SoMFColor.java ..\source\Java\OnX\SoMFFloat.java ..\source\Java\OnX\SoMFInt32.java ..\source\Java\OnX\SoMFString.java ..\source\Java\OnX\SoMFVec3f.java ..\source\Java\OnX\SoMField.java ..\source\Java\OnX\SoMaterial.java ..\source\Java\OnX\SoNode.java ..\source\Java\OnX\SoNonIndexedShape.java ..\source\Java\OnX\SoOrthographicCamera.java ..\source\Java\OnX\SoPage.java ..\source\Java\OnX\SoPcon.java ..\source\Java\OnX\SoPerspectiveCamera.java ..\source\Java\OnX\SoPlotter.java ..\source\Java\OnX\SoPlotterRegion.java ..\source\Java\OnX\SoPolyVol.java ..\source\Java\OnX\SoPolyhedron.java ..\source\Java\OnX\SoPyramid.java ..\source\Java\OnX\SoRegion.java ..\source\Java\OnX\SoResetTransform.java ..\source\Java\OnX\SoRotation.java ..\source\Java\OnX\SoRotationXYZ.java ..\source\Java\OnX\SoSFBitMask.java ..\source\Java\OnX\SoSFBool.java ..\source\Java\OnX\SoSFColor.java ..\source\Java\OnX\SoSFEnum.java ..\source\Java\OnX\SoSFFloat.java ..\source\Java\OnX\SoSFInt32.java ..\source\Java\OnX\SoSFRotation.java ..\source\Java\OnX\SoSFShort.java ..\source\Java\OnX\SoSFString.java ..\source\Java\OnX\SoSFVec2f.java ..\source\Java\OnX\SoSFVec3f.java ..\source\Java\OnX\SoSField.java ..\source\Java\OnX\SoScale.java ..\source\Java\OnX\SoSeparator.java ..\source\Java\OnX\SoShape.java ..\source\Java\OnX\SoSplineCurve.java ..\source\Java\OnX\SoStyle.java ..\source\Java\OnX\SoStyleCache.java ..\source\Java\OnX\SoTextHershey.java ..\source\Java\OnX\SoTextRegion.java ..\source\Java\OnX\SoTextStyle.java ..\source\Java\OnX\SoTextTTF.java ..\source\Java\OnX\SoTextVtk.java ..\source\Java\OnX\SoTools.java ..\source\Java\OnX\SoTorus.java ..\source\Java\OnX\SoTransformation.java ..\source\Java\OnX\SoTranslation.java ..\source\Java\OnX\SoTrap.java ..\source\Java\OnX\SoTrd.java ..\source\Java\OnX\SoTubs.java ..\source\Java\OnX\SoType.java ..\source\Java\OnX\SoVertexShape.java ..\source\Java\OnX\SoViewportRegion.java ..\source\Java\OnX\SoWedge.java ..\source\Java\OnX\fmanip.java ..\source\Java\OnX\smanip.java
@IF ERRORLEVEL 1 @GOTO obuild_return

REM # Create the archive library OnX_SWIG_Java_jar :
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnX_0=%%d
CD "%obuild_OnX_path%\%obuild_dir_bin%\lib_OnX_SWIG_Java_jar"
IF EXIST ..\OnX_SWIG_Java_jar.jar DEL ..\OnX_SWIG_Java_jar.jar
@IF %obuild_verbose% == yes @ECHO ON 
jar cf ..\OnX_SWIG_Java_jar.jar .
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_pwd_OnX_0%"
SET obuild_pwd_OnX_0=

IF EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX.jar" DEL "%obuild_OnX_path%\%obuild_dir_bin%\OnX.jar"
COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_SWIG_Java_jar.jar" "%obuild_OnX_path%\%obuild_dir_bin%\OnX.jar" 1> copy_exe_error
@IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL copy_exe_error

