#include <OnX/Helpers/OnX.h>

#include <Slash/UI/IUI.h>

#include <Slash/Core/ISession.h>
#include <Lib/Printer.h>
#include <Lib/Out.h>

#include <HEPVis/SbPolyhedron.h>
#include <HEPVis/nodes/SoArrow.h>
//#include <HEPVis/SbText.h>

//#include <Inventor/nodes/SoCube.h>

//atexit
static int sVerboseLevel = 0;
extern "C" {
  static void OnX_Debug_atexit();
}

extern "C" {

//////////////////////////////////////////////////////////////////////////////
void OnX_Debug_DLL(
 Slash::UI::IUI& aUI
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  sVerboseLevel = aUI.session().verboseLevel();
  ::atexit(OnX_Debug_atexit);

  printf("debug : OnX_Debug_DLL : ======================= 11\n");

  //new SoCube;
  //new SbPolyhedron();
  //new SoArrow();
  //new SbText();
}

//////////////////////////////////////////////////////////////////////////////
void OnX_Debug_exit(
 Slash::UI::IUI& aUI
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  aUI.exit();
}

} // extern "C"

//////////////////////////////////////////////////////////////////////////////
static void OnX_Debug_atexit(
) 
//////////////////////////////////////////////////////////////////////////////
// To help debugging DLL closing.
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  //if(sVerboseLevel) {
    Lib::Printer printer;
    Lib::Out out(printer);
    out << "OnX_Debug_atexit" << Lib::endl;
    //}
}
