package OnX;

import java.io.*;

public class Printer extends PrintStream {
  private long fSession = 0;
  public Printer(long aSession) { 
      //super(aStream);
    super(new OutputStream(){public void write(int b){};});
    fSession = aSession;
  }
  public native void nativePrint(long aSession,String a1);
  public void print(boolean x) { nativePrint(fSession,x + "");}
  public void print(char x) { nativePrint(fSession,x + "");}
  public void print(int x) { nativePrint(fSession,x + "");}
  public void print(long x) { nativePrint(fSession,x + "");}
  public void print(float x) { nativePrint(fSession,x + "");}
  public void print(double x) { nativePrint(fSession,x + "");}
  public void print(char x[]) { nativePrint(fSession,new String(x));}
  public void print(String x) { nativePrint(fSession,x);}
  public void print(Object x) { nativePrint(fSession,x.toString());}
  public void println() { nativePrint(fSession,"\n");}
  public void println(boolean x) { print(x);println();}
  public void println(char x) { print(x);println();}
  public void println(int x) { print(x);println();}
  public void println(long x) { print(x);println();}
  public void println(float x) { print(x);println();}
  public void println(double x) { print(x);println();}
  public void println(char x[]) { print(x);println();}
  public void println(String x) { print(x);println();}
  public void println(Object x) { print(x);println();}
}

