
#include <Lib/Arguments.h>
#include <Lib/Printer.h>
#include <Lib/argZero.h>

#include <OnX/Core/Main.h>
#include <OnX/Core/Environment.h>

#include <OnXLab/Core/Environment.h>

//////////////////////////////////////////////////////////////////////////////
int main (
 int aArgc
,char** aArgv
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(aArgc<=0) return Lib::System::exitFailure();

 {bool is_Mac_app = false;
  if(!Lib::argZero::startMacApp(aArgv[0],"OnXLab",is_Mac_app)) return 1;
  Lib::Printer printer;
  if(!check_ONXROOT(aArgv[0],printer,0,true)) {
    return Lib::System::exitFailure();
  }
  if(!check_ONXLABROOT(aArgv[0],printer)) {
    return Lib::System::exitFailure();
  }}

 {Lib::Arguments args(aArgc,aArgv);
  std::string file;
  if(args.file(file)) {
    args.add("-data_file",file);
    args.remove(file);
  }
  args.add(std::string("-")+GUI,"");
  args.add("-onx_file","$ONXLABROOT/scripts/OnX/OnXLab.onx");

  OnX::Main onxMain(true,true,args.tovector());
  if(!onxMain.isValid()) return Lib::System::exitFailure();
  onxMain.steer();}

  return Lib::System::exitSuccess();
}
