@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package OnXLab with version v1r2p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_OnXLab_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_OnXLab_path=%obuild_OnXLab_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_OnXLab_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Python_version=25
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET JavaVM_home=C:\usr\local\j2sdk1.4.1
:end_if_platform_5
SET obuild_platform_result=
SET obuild_java_command=javac
IF "%obuild_java_command%" == ""  ECHO Variable obuild_java_command not defined.  && GOTO obuild_return

SET obuild_java_debug=-g

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_10
  SET obuild_java_debug_local=%obuild_java_debug%
  GOTO end_if_db_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_10
:else_if_db_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_10
  SET obuild_java_debug_local=
:end_if_db_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_10

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_11
  SET obuild_java_optimize_local=%obuild_java_optimize%
  GOTO end_if_opt_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_11
:else_if_opt_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_11
  SET obuild_java_optimize_local=
:end_if_opt_build_app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet_sh_11



IF EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet" RMDIR /S /Q "%obuild_OnXLab_path%\%obuild_dir_bin%\app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%\app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet"

SET obuild_linked_jars="%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.jar"

%obuild_java_command% %obuild_java_debug_local% -d "%obuild_OnXLab_path%\%obuild_dir_bin%\app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet"  -classpath %obuild_linked_jars% ..\examples\Java\SLAC\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.java
@IF ERRORLEVEL 1 @GOTO obuild_return

REM # Create the archive library OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet :
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
CD "%obuild_OnXLab_path%\%obuild_dir_bin%\app_OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet"
IF EXIST ..\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.jar DEL ..\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.jar
@IF %obuild_verbose% == yes @ECHO ON 
jar cf ..\OnXLab_exa_Java_SLAC_CreateAndFitDataPointSet.jar .
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=

