@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package OnXLab with version v1r2p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_OnXLabInventor
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_OnXLab_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_OnXLab_path=%obuild_OnXLab_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_OnXLab_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Python_version=25
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET JavaVM_home=C:\usr\local\j2sdk1.4.1
:end_if_platform_5
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_command=cl.exe
:end_if_platform_7
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
SET obuild_cxx_optimize=/O2
:end_if_platform_9
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_11
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_13
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_dll_OnXLabInventor_sh_14
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_dll_OnXLabInventor_sh_14
:else_if_db_build_dll_OnXLabInventor_sh_14
  SET obuild_cxx_debug_local=
:end_if_db_build_dll_OnXLabInventor_sh_14

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_dll_OnXLabInventor_sh_15
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_dll_OnXLabInventor_sh_15
:else_if_opt_build_dll_OnXLabInventor_sh_15
  SET obuild_cxx_optimize_local=
:end_if_opt_build_dll_OnXLabInventor_sh_15


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_16
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_16
SET obuild_platform_result=

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_OnXLab_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r*`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r*`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Slash v1r*`) DO SET obuild_Slash_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Slash_path  ECHO Can't find Slash package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r*`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r*`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r*`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r*`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r*`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r*`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r*`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r*`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  png v1r*`) DO SET obuild_png_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_png_path  ECHO Can't find png package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip v1r*`) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_OnXLab_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_BatchLab_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HCL_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_AIDA_path%\src\cpp"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Lib_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_Slash_path%"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_OnX_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_HEPVis_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\dll_OnXLabInventor" RMDIR /S /Q "%obuild_OnXLab_path%\%obuild_dir_bin%\dll_OnXLabInventor"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\dll_OnXLabInventor" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%\dll_OnXLabInventor"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnXLabInventor\Styles.obj  /Tp"..\source\Inventor\Styles.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_OnXLab_path%\obuild"

cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnXLabInventor\PlottableThings.obj  /Tp"..\source\Inventor\PlottableThings.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_OnXLab_path%\obuild"

cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnXLabInventor\Representer.obj  /Tp"..\source\Inventor\Representer.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_OnXLab_path%\obuild"

cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnXLabInventor\Plotter.obj  /Tp"..\source\Inventor\Plotter.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_OnXLab_path%\obuild"

cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnXLabInventor\PlotterManager.obj  /Tp"..\source\Inventor\PlotterManager.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_OnXLab_path%\obuild"

cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\dll_OnXLabInventor\Inventor.obj  /Tp"..\source\Inventor\Inventor.cxx" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_OnXLab_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

SET obuild_linked_paths=/LIBPATH:"%obuild_BatchLab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=BatchLabCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HCL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HCL.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibZip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Midnight_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% Midnight.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Minuit_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Minuit.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisPlotter.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_jpeg_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_jpeg.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_dvi2bitmap_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_dvi2bitmap.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_freetype2_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_freetype2.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_png_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_png.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zip_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Coin.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_72
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_72
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF EXIST .\dll_OnXLabInventor\tmp_objs DEL .\dll_OnXLabInventor\tmp_objs
FOR %%f IN (.\dll_OnXLabInventor\*.obj) DO ECHO %%f >> .\dll_OnXLabInventor\tmp_objs

REM # Create the archive library OnXLabInventor :
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_OnXLabInventor\OnXLabInventor.arc @.\dll_OnXLabInventor\tmp_objs
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Build the obuild_windef.exe utility program :
cl.exe /nologo /DWIN32 /MD /O2 /W3 /Feobuild_windef.exe "%obuild_OnXLab_path%\obuild\cpp\obuild_windef.c" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
IF EXIST obuild_windef.obj DEL obuild_windef.obj

REM # Building the .def file :
@IF %obuild_verbose% == yes @ECHO ON 
dumpbin.exe /symbols /out:.\dll_OnXLabInventor\tmp .\dll_OnXLabInventor\OnXLabInventor.arc 1> dumpbin_exe_error .\dll_OnXLabInventor\OnXLabInventor.arc
@IF ERRORLEVEL 1 @TYPE dumpbin_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL dumpbin_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 
.\obuild_windef.exe OnXLabInventor < .\dll_OnXLabInventor\tmp > .\dll_OnXLabInventor\OnXLabInventor.def
REM # Building the linking library :
REM # It produces a .exp file.
@IF %obuild_verbose% == yes @ECHO ON 
lib.exe /nologo /machine:ix86 /out:.\dll_OnXLabInventor\OnXLabInventor.lib /def:.\dll_OnXLabInventor\OnXLabInventor.def 1> lib_exe_error
@IF ERRORLEVEL 1 @TYPE lib_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL lib_exe_error
@IF %obuild_verbose% == yes @ECHO OFF 

REM # Building the DLL :
IF EXIST .\OnXLabInventor.dll DEL .\OnXLabInventor.dll
@IF %obuild_verbose% == yes @ECHO ON 
link.exe /nologo /dll /out:.\OnXLabInventor.dll .\dll_OnXLabInventor\OnXLabInventor.exp .\dll_OnXLabInventor\OnXLabInventor.arc %obuild_linked_paths% %obuild_linked_libraries%
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
REM # Some cleanup :
IF EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\dll_OnXLabInventor\tmp_objs" DEL "%obuild_OnXLab_path%\%obuild_dir_bin%\dll_OnXLabInventor\tmp_objs"
IF EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.exp" DEL "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLabInventor.exp"

:obuild_return
ENDLOCAL
@ECHO ON
