@ECHO OFF

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package OnXLab with version v1r2p0.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> setup
REM # or :
REM #   DOS> setup.bat
REM # or :
REM #   DOS> call setup.bat
REM #////////////////////////////////////////////////

SET obuild_OnXLab_path=%~dp0
REM # Remove ending \obuild\
SET obuild_OnXLab_path=%obuild_OnXLab_path:~0,-8%

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_OnXLab_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET Python_home=C:\usr\local\Python\2.5
:end_if_platform_1
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET Python_version=25
:end_if_platform_3
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET JavaVM_home=C:\usr\local\j2sdk1.4.1
:end_if_platform_5
SET obuild_platform_result=
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%" MKDIR "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_OnXLab_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_OnXLab_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r*`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OnXLab_0=%%d
cd "%obuild_OnXLab_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r*`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_OnXLab_0%"
SET obuild_pwd_OnXLab_0=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return

REM # Execute setup of used packages :
IF NOT EXIST "%obuild_OnX_path%\obuild\setup.bat"  ECHO setup.bat not found for package OnX.  && GOTO obuild_return
CALL "%obuild_OnX_path%\obuild\setup.bat"
@ECHO OFF

IF NOT EXIST "%obuild_BatchLab_path%\obuild\setup.bat"  ECHO setup.bat not found for package BatchLab.  && GOTO obuild_return
CALL "%obuild_BatchLab_path%\obuild\setup.bat"
@ECHO OFF

REM # Set environment variables of this package :
SET ONXLABROOT=%obuild_OnXLab_path%

IF DEFINED PYTHONPATH GOTO else_if_var_OnXLab_8
  SET PYTHONPATH=%obuild_OnXLab_path%\scripts\Python
  GOTO end_if_var_OnXLab_8
:else_if_var_OnXLab_8
  SET PYTHONPATH=%PYTHONPATH%;%obuild_OnXLab_path%\scripts\Python
:end_if_var_OnXLab_8

IF DEFINED PYTHONPATH GOTO else_if_var_OnXLab_10
  SET PYTHONPATH=%obuild_OnXLab_path%\%obuild_dir_bin%
  GOTO end_if_var_OnXLab_10
:else_if_var_OnXLab_10
  SET PYTHONPATH=%PYTHONPATH%;%obuild_OnXLab_path%\%obuild_dir_bin%
:end_if_var_OnXLab_10

IF DEFINED CLASSPATH GOTO else_if_var_OnXLab_12
  SET CLASSPATH=%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.jar
  GOTO end_if_var_OnXLab_12
:else_if_var_OnXLab_12
  SET CLASSPATH=%CLASSPATH%;%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab.jar
:end_if_var_OnXLab_12

IF DEFINED PATH GOTO else_if_path_OnXLab_13
  SET PATH=%obuild_OnXLab_path%\%obuild_dir_bin%
  GOTO end_if_path_OnXLab_13
:else_if_path_OnXLab_13
  SET PATH=%PATH%;%obuild_OnXLab_path%\%obuild_dir_bin%
:end_if_path_OnXLab_13

:obuild_return

SET obuild_OnXLab_path=

REM # FIXME SET obuild_dir_bin=

@ECHO ON
