@ECHO OFF

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package OpenPAW with version v3r1p2.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> setup
REM # or :
REM #   DOS> setup.bat
REM # or :
REM #   DOS> call setup.bat
REM #////////////////////////////////////////////////

SET obuild_OpenPAW_path=%~dp0
REM # Remove ending \obuild\
SET obuild_OpenPAW_path=%obuild_OpenPAW_path:~0,-8%

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%" MKDIR "%obuild_OpenPAW_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_OpenPAW_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_OpenPAW_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_OpenPAW_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_OpenPAW_0=%%d
cd "%obuild_OpenPAW_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r*`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_OpenPAW_0%"
SET obuild_pwd_OpenPAW_0=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return

REM # Execute setup of used packages :
IF NOT EXIST "%obuild_OnXLab_path%\obuild\setup.bat"  ECHO setup.bat not found for package OnXLab.  && GOTO obuild_return
CALL "%obuild_OnXLab_path%\obuild\setup.bat"
@ECHO OFF

REM # Set environment variables of this package :
SET OPENPAWROOT=%obuild_OpenPAW_path%

IF DEFINED PATH GOTO else_if_path_OpenPAW_1
  SET PATH=%obuild_OpenPAW_path%\%obuild_dir_bin%
  GOTO end_if_path_OpenPAW_1
:else_if_path_OpenPAW_1
  SET PATH=%PATH%;%obuild_OpenPAW_path%\%obuild_dir_bin%
:end_if_path_OpenPAW_1

:obuild_return

SET obuild_OpenPAW_path=

REM # FIXME SET obuild_dir_bin=

@ECHO ON
