// this :
#include <OpenPAW/Unit.h>

// Unit handle reference to an AIDA::ITree (through its storeName) 
// or to a FILE*.

OpenPAW::Unit::Unit():fFILE(0),fType(NONE) {}

OpenPAW::Unit::Unit(Type aType,const std::string& aFileName,FILE* aFile)
:fType(aType),fString(aFileName),fFILE(aFile) {
}

OpenPAW::Unit::Unit(const Unit& aFrom)
:fFILE(aFrom.fFILE),fString(aFrom.fString),fType(aFrom.fType) {
}

OpenPAW::Unit& OpenPAW::Unit::operator =(const Unit& aFrom) { 
  fType = aFrom.fType;
  fString = aFrom.fString;
  fFILE = aFrom.fFILE;
  return *this;
}
bool OpenPAW::Unit::isFILE() const { return fFILE?true:false;}

bool OpenPAW::Unit::equal(const Unit& aFrom) const {
  if(fType!=aFrom.fType) return false;
  if(fString!=aFrom.fString) return false;
  if(fFILE!=aFrom.fFILE) return false;
  return true;
}  

bool OpenPAW::Unit::operator==(const OpenPAW::Unit& a2){
  return equal(a2);
}
bool OpenPAW::Unit::operator!=(const OpenPAW::Unit& a2){
  return !equal(a2);
}
