#ifndef OpenPAW_Unit_h
#define OpenPAW_Unit_h

#include <string>
#include <stdio.h> //FILE //FIXME

namespace OpenPAW {

class Unit {
public:
  enum Type {
    NONE = 0,
    TREE = 1,
    METAFILE = 2
  };
  Unit();
  Unit(Type,const std::string&,FILE* = 0);
  Unit(const Unit&);
  Unit& operator =(const Unit&);
  bool isFILE() const;
  bool equal(const Unit&) const;
public:
  bool operator==(const OpenPAW::Unit&);
  bool operator!=(const OpenPAW::Unit&);
public: //FIXME
  Type fType;
  std::string fString;
  FILE* fFILE;
};

}

#endif
