
#include <SDL.h>

#include <iostream>

//////////////////////////////////////////////////////////////////////////////
int main( 
 int aArgc
,char* aArgv[]
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if (SDL_Init(SDL_INIT_VIDEO|SDL_INIT_TIMER|SDL_INIT_JOYSTICK)<0) { 
    std::cout << "main : couldn't initialize SDL "
              << SDL_GetError() 
              << std::endl;
    return 1;
  }

  //SDL_VideoInfo* vinfo = SDL_GetVideoInfo();
  //int SDL_VideoModeOK(int width, int height, int bpp, Uint32 flags);

  SDL_Rect** rects = SDL_ListModes(NULL,0);
  if(rects==NULL) {
    std::cout << "main : SDL_ListModes returns NULL."
              << std::endl;
  } else if(rects==(SDL_Rect**)-1) {
    std::cout << "main : SDL_ListModes returns -1."
              << std::endl;
  } else {
    SDL_Rect** pos = rects;
    while(pos!=NULL) {
      SDL_Rect* rect = *pos;
      std::cout << " " << rect->w
                << " " << rect->h
                << std::endl;
    }
  }


  SDL_Quit();

  return 0;
}
