#ifndef Lib_ZipReader_h
#define Lib_ZipReader_h

#include <Slash/Core/IReader.h>

#include <string>

namespace Slash {namespace Core {class IWriter;}}

namespace Lib {

class ZipReader : public virtual Slash::Core::IReader {
public: //Slash::Core::IReader
  virtual bool read(void*,unsigned int,int&);
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
public:
  static bool available();
public:
  ZipReader(const std::string&,Slash::Core::IWriter&);
  virtual ~ZipReader();
private:
  Slash::Core::IWriter& fPrinter;
  std::string fFileName;
  void* fFile;
};

}

#endif
