/bin/mkdir -p "@@dir_bin@@"
if [ ! -e "@@dir_bin@@/obuild_platform" ] ; then
  if [ ! -e "@@dir_package@@/obuild/cpp/obuild_platform.cpp" ] ; then
    echo "Program source obuild_platform.cpp not found."
    @@exit@@
  fi
  if [ "${obuild_cxx_command}" = "" ] ; then 
    if [  "${OBUILD_CXX}" != "" ] ; then
      obuild_platform_compiler=${OBUILD_CXX}
    else
      obuild_platform_compiler=c++ 
    fi
  else
    obuild_platform_compiler=${obuild_cxx_command} 
  fi
  ${obuild_platform_compiler} -o "@@dir_bin@@/obuild_platform" "@@dir_package@@/obuild/cpp/obuild_platform.cpp"
  unset obuild_platform_compiler
  if [ ! -e "@@dir_bin@@/obuild_platform" ] ; then
    echo "Program obuild_platform not found."
    @@exit@@
  fi
fi
obuild_platform_exe="@@dir_bin@@/obuild_platform"
