/bin/mkdir -p "@@dir_bin@@"
if [ ! -e "@@dir_bin@@/obuild_subs" ] ; then
  if [ ! -e "@@dir_package@@/obuild/cpp/obuild_subs.cpp" ] ; then
    echo "Program source obuild_subs.cpp not found."
    @@exit@@
  fi
  if [ "${obuild_cxx_command}" = "" ] ; then 
    if [  "${OBUILD_CXX}" != "" ] ; then
      obuild_subs_compiler=${OBUILD_CXX}
    else
      obuild_subs_compiler=c++ 
    fi
  else
    obuild_subs_compiler=${obuild_cxx_command} 
  fi
  ${obuild_subs_compiler} -o "@@dir_bin@@/obuild_subs" "@@dir_package@@/obuild/cpp/obuild_subs.cpp"
  unset obuild_subs_compiler
  if [ ! -e "@@dir_bin@@/obuild_subs" ] ; then
    echo "Program obuild_subs not found."
    @@exit@@
  fi
fi
