#
# File produced by the obuild tool version @@obuild_version@@
# for the package @@package@@ with version @@version@@.
#

#////////////////////////////////////////////////
# Usage :
#   UNIX> cd some_path/pack/version/obuild
# ( UNIX> chmod a+x sh/build_@@component@@ )
#   UNIX> sh/build_@@component@@
#
#////////////////////////////////////////////////

obuild_verbose=no
obuild_debug=no
obuild_optimize=yes
obuild_do_not_compile=no
obuild_dir_bin_o_cleanup=yes
obuild_check_time=no

obuild_set_x=no
while test $# -ge 1 ; do
  case $1 in
    -h) 
        echo "Options :"
        echo "  -v : verbose."
        echo "  -d : build in debug mode."
        echo "  -g : build in debug mode."
        echo "  -x : execute script with set -x."
        echo "  -l : link only, do not (re)compile."
        echo "  -k : do not remove result of compilations (.o, .obj)."
        echo "  -t : check source versus target date."
        echo ""
        exit ;;
    -v) obuild_verbose=yes ;;
    -x) obuild_set_x=yes ;;
    -d) obuild_debug=yes ;;
    -g) obuild_debug=yes ;;
    -l) obuild_do_not_compile=yes ;;
    -k) obuild_dir_bin_o_cleanup=no ;;
    -t) obuild_check_time=yes ;;
    *) echo "unknown option : $1";exit ;;
  esac
  shift
done

if [ ${obuild_set_x} = yes ] ; then
  set -x
fi

if [ ${obuild_debug} = yes ] ; then
  obuild_optimize=no
fi

if [ ${obuild_check_time} = yes ] ; then
  obuild_dir_bin_o_cleanup=no
fi
obuild_file_is_older()
{
  #FIXME : how to compare file time on OSF1 ?
  if [ `uname` = OSF1 ] ; then
    echo yes
  else
    if [ "$1" -ot "$2" ] ; then echo yes ;else echo no ;fi
  fi
}

if [  "${OBUILD_DIR_BIN}" = "" ] ; then
  @@dir_bin_variable@@=bin_obuild
else
  @@dir_bin_variable@@=${OBUILD_DIR_BIN}
fi

if [ "${@@dir_bin_variable@@}" = "" ] ; then
  echo "@@dir_bin_variable@@ variable not defined."
  exit
fi

obuild_pwd=`pwd`
@@path_variable@@=`dirname "${obuild_pwd}"`
unset obuild_pwd

# Create the bin directory :
/bin/mkdir -p "@@dir_bin@@"

