#ifndef BatchLab_XML_ReadContext_h
#define BatchLab_XML_ReadContext_h

#include <string>

namespace Slash {namespace Core {class ISession;}}

namespace Lib {
  class ItemML;
}

namespace BatchLab {

namespace XML {

class ReadContext {
public:
  ReadContext(int,Slash::Core::ISession&,Lib::ItemML&);
  virtual ~ReadContext();
public:
  int verboseLevel() const;
  Slash::Core::ISession& session() const;
  Lib::ItemML& itemML() const;
private:
  int fVerboseLevel;
  Slash::Core::ISession& fSession;
  Lib::ItemML& fItemML;
};

} //XML
 
} //BatchLab

#endif
