
#include <BatchLab/Core/Main.h>

extern "C" {

#if (AIDA_VERSION_MAJOR<=3) && (AIDA_VERSION_MINOR<=2) 
//////////////////////////////////////////////////////////////////////////////
AIDA::IAnalysisFactory* AIDA_createAnalysisFactory(
 //FIXME : aOptions 
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  BatchLab::Main* aida = new BatchLab::Main();
  if(!aida->isValid()) {
    delete aida;
    return 0;
  }
  return aida;
}
#else
//////////////////////////////////////////////////////////////////////////////
AIDA::IAnalysisFactory* AIDA_createAnalysisFactory(
 const std::string& //aOptions 
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  BatchLab::Main* aida = new BatchLab::Main();
  if(!aida->isValid()) {
    delete aida;
    return 0;
  }
  return aida;
}
#endif
}
