@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package CoinWin with version v1r50p7.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_CoinWin_test_cube
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_CoinWin_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_CoinWin_path=%obuild_CoinWin_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_CoinWin_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_CoinWin_test_cube_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_CoinWin_test_cube_sh_8
:else_if_db_build_app_CoinWin_test_cube_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_app_CoinWin_test_cube_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_CoinWin_test_cube_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_CoinWin_test_cube_sh_9
:else_if_opt_build_app_CoinWin_test_cube_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_CoinWin_test_cube_sh_9


FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_10
SET obuild_cxx_macros=%obuild_cxx_macros% /DSOWIN_DLL
:end_if_platform_10
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
SET obuild_cxx_macros=%obuild_cxx_macros% /DCOIN_DLL
:end_if_platform_11
SET obuild_platform_result=

IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_CoinWin_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_CoinWin_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_CoinWin_path%\include"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinWin_path%\src"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinWin_path%\data"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinWin_path%\include\Inventor\Win"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_CoinGL_path%\include"

IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube" RMDIR /S /Q "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube"
IF NOT EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube" MKDIR "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_CoinWin_test_cube\CoinWin_test_cube.obj  /Tp"..\tests\CoinWin_test_cube.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_CoinWin_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_24
SET obuild_cxx_linker_command=link.exe
:end_if_platform_24
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_26
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_26
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_28
SET obuild_cxx_linker_options=/nologo
:end_if_platform_28
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_CoinWin_test_cube_sh_29
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_CoinWin_test_cube_sh_29
:else_if_db_build_app_CoinWin_test_cube_sh_29
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_CoinWin_test_cube_sh_29

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_CoinWin_test_cube_sh_30
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_CoinWin_test_cube_sh_30
:else_if_opt_build_app_CoinWin_test_cube_sh_30
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_CoinWin_test_cube_sh_30

SET obuild_linked_paths=/LIBPATH:"%obuild_CoinWin_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=CoinWin.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_34
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Coin.lib
:end_if_platform_34
SET obuild_platform_result=
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_36
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_36
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_CoinWin_0=%%d
cd "%obuild_CoinWin_path%\%obuild_dir_bin%"
IF EXIST .\app_CoinWin_test_cube\tmp_objs DEL .\app_CoinWin_test_cube\tmp_objs
FOR %%f IN (.\app_CoinWin_test_cube\*.obj) DO ECHO %%f >> .\app_CoinWin_test_cube\tmp_objs
REM # Link CoinWin_test_cube :
IF EXIST .\CoinWin_test_cube.exe DEL .\CoinWin_test_cube.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\CoinWin_test_cube.exe @.\app_CoinWin_test_cube\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_CoinWin_0%"
SET obuild_pwd_CoinWin_0=
REM # Some cleanup :
IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube\tmp_objs" DEL "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube\tmp_objs"
IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.ilk" DEL "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.ilk"
IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.pdb" DEL "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.pdb"
IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube\tmp_objs" DEL "%obuild_CoinWin_path%\%obuild_dir_bin%\app_CoinWin_test_cube\tmp_objs"
IF EXIST "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.exp" DEL "%obuild_CoinWin_path%\%obuild_dir_bin%\CoinWin_test_cube.exp"

:obuild_return
ENDLOCAL
@ECHO ON
