#ifndef G4LabTemplateFour_Detector_h
#define G4LabTemplateFour_Detector_h

#include <G4VUserDetectorConstruction.hh>

class G4Material;
class G4VPhysicalVolume;

namespace G4LabTemplateFour {

class Detector : public G4VUserDetectorConstruction {
public: //G4VUserDetectorConstruction
  virtual G4VPhysicalVolume* Construct();
public:        
  Detector(G4Material&);
  virtual ~Detector();
  G4VPhysicalVolume* chunck_PV() const;
  double radiation_length() const;
private:
  G4Material& fMaterial;
  G4VPhysicalVolume* f_chunk_PV;
};

}

#endif
