/* G.Barrand */

#if defined(WIN32)

#include "H5Tinit_win32.ic"

#elif defined(__APPLE__) && defined(__i386__)

#include "H5Tinit_macosx_intel.ic"

#elif defined(__APPLE__)

#include "H5Tinit_macosx.ic"

#elif defined(__CYGWIN__) && defined(__GNUC__)

/*
  Done on a 'uname -a' :
    CYGWIN_NT-5.1 <notshown> 1.5.24(0.156/4/2) 2007-01-31 10:57 i686 Cygwin
*/
#include "H5Tinit_CYGWIN.ic"

#elif defined(__linux__) && defined(__x86_64__)

/*
  Done on a 'uname -a' :
    Linux <notshown> 2.6.9-34.ELlargesmp #1 SMP Tue Mar 7 15:33:33 CST 2006 x86_64 x86_64 x86_64 GNU/Linux
*/
#include "H5Tinit_Linux_x86_64.ic"

#else
/* 
  Done on a 'uname -a' :
    Linux <notshown> 2.4.21-27.0.2.ELsmp #1 SMP Tue Jan 18 19:25:35 CST 2005 i686 i686 i386 GNU/Linux
*/
#include "H5Tinit_Linux.ic"

#endif
