#include <Inventor/Xt/SoXt.h>

#include <HEPVis/Xt/SoXtColorEditor.h>

int main(int, char ** argv) {

  Widget myWindow=SoXt::init(argv[0]);
  if (!myWindow) return 0;

  HEPVis_SoXtColorEditor* colorEditor = 
    new HEPVis_SoXtColorEditor(myWindow);
  colorEditor->show();
 
  SoXt::show(myWindow);
  SoXt::mainLoop();

  delete colorEditor;

#ifdef SoFreePackage //Cleanup
  SoXt::clear();  
#endif

  return 0; 
}

