//
#define SHAPE_1
//
#define SHAPE_2

{
  double pi = 3.1415926535897931160E0;
  double rad = 1.0;
  double mm = 1.0;
  double degree = pi/180.0;

  double Rh2SphMirror33InnerR = 8631*mm;
  double Rh2SphMirrorInnerR = 8600.0*mm;
  double Rh2SphMirrorThickness = 6.0*mm;
  double Rh2SPhMirrorSegHexDiagSize = 510.0*mm;

  double Rh2SPhMirrHexSubBoxLargeXSize = 200000.0*mm;
  double Rh2SPhMirrHexSubBoxLargeYSize = 200000.0*mm;
  double Rh2SPhMirrHexSubBoxLargeZSize = 400000.0*mm;

  //double Rh2SPhMirrHexSubBoxLargeXSize = 200.0*mm;
  //double Rh2SPhMirrHexSubBoxLargeYSize = 240.0*mm;
  //double Rh2SPhMirrHexSubBoxLargeZSize = 400.0*mm;

  double Rh2SPhMirrorHexParam60 = (pi/3.0)*rad;
  double Rh2SPhMirrorHexParam30 = (pi/6.0)*rad;
  double Rh2SPhMirrorHexCos60 = cos(Rh2SPhMirrorHexParam60);
  double Rh2SPhMirrorHexCos30 = cos(Rh2SPhMirrorHexParam30);
  double Rh2SPhMirrorHexSin60 = sin(Rh2SPhMirrorHexParam60);
  double Rh2SPhMirrorHexSin30 = sin(Rh2SPhMirrorHexParam30);

  double Rh2SphMirror33OutR = Rh2SphMirror33InnerR + Rh2SphMirrorThickness;

  double Rh2SphMirrHexSegHorizSize = Rh2SPhMirrorSegHexDiagSize*Rh2SPhMirrorHexSin60;

  double Rh2SphMirrHexDeltaTheta = (2.0*asin(Rh2SphMirrHexSegHorizSize/(2.0*Rh2SphMirrorInnerR)))*rad;

  double Rh2SphMirrHexStartTheta = (pi/2.0)*rad-(Rh2SphMirrHexDeltaTheta/2.0);

  double Rh2SphMirrHexSegVertSize = Rh2SPhMirrorSegHexDiagSize;

  double Rh2SphMirrHexDeltaPhi= (2.0*asin(Rh2SphMirrHexSegVertSize/(2.0*Rh2SphMirrorInnerR)))*rad;

  double Rh2SphMirrHexStartPhi = -1.0*(Rh2SphMirrHexDeltaPhi/2.0);

  double Rh2SphMirrHexSegFlatHalfSize = 0.5*Rh2SPhMirrorSegHexDiagSize*Rh2SPhMirrorHexSin60;
  double Rh2SphMirrHexSegDiagHalfSize = 0.5*Rh2SPhMirrorSegHexDiagSize;
 
  double Rh2SphMirrorOuterR = Rh2SphMirrorInnerR+Rh2SphMirrorThickness;

  double Rh2SphMirrHexSubBoxShiftX = Rh2SphMirrorOuterR;
      

  double Rh2SphMirr33HexDeltaTheta = (2.0*asin(Rh2SphMirrHexSegHorizSize/(2.0*Rh2SphMirror33InnerR)))*rad;
  double Rh2SphMirr33HexDeltaPhi = (2.0*asin(Rh2SphMirrHexSegVertSize/(2.0*Rh2SphMirror33InnerR)))*rad;
  double Rh2SphMirr33HexStartTheta = (pi/2.0)*rad-(Rh2SphMirr33HexDeltaTheta/2.0);
  double Rh2SphMirr33HexStartPhi = -1.0*(Rh2SphMirr33HexDeltaPhi/2.0);


  double Rh2SphMirrHexSubBoxShiftY = (0.5*Rh2SPhMirrorSegHexDiagSize*Rh2SPhMirrorHexSin60+0.5*Rh2SPhMirrHexSubBoxLargeZSize)*Rh2SPhMirrorHexSin60;
  double Rh2SphMirrHexSubBoxShiftZ = (0.5*Rh2SPhMirrorSegHexDiagSize*Rh2SPhMirrorHexSin60+0.5*Rh2SPhMirrHexSubBoxLargeZSize)*Rh2SPhMirrorHexCos60;

  double Rh2SphMirrHexSubBoxRotX = Rh2SPhMirrorHexParam60;

  double Rh2SphMirrHexSubBoxShiftYQ0 = Rh2SphMirrHexSubBoxShiftY;

  double Rh2SphMirrHexSubBoxShiftZQ0 = Rh2SphMirrHexSubBoxShiftZ;
  double Rh2SphMirrHexSubBoxShiftZQ1 = -Rh2SphMirrHexSubBoxShiftZ;
  double Rh2SphMirrHexSubBoxShiftZQ2 = -Rh2SphMirrHexSubBoxShiftZ;
  double Rh2SphMirrHexSubBoxShiftZQ3 = Rh2SphMirrHexSubBoxShiftZ;

  double Rh2SphMirrHexSubBoxRotXQ02 = -Rh2SphMirrHexSubBoxRotX;

  double Rh2SphMirrHexSubBoxRotXQ13 = Rh2SphMirrHexSubBoxRotX;
  double Rh2SphMirrHexSubBoxShiftYQ1 = Rh2SphMirrHexSubBoxShiftY;
  double Rh2SphMirrHexSubBoxShiftYQ2 = -Rh2SphMirrHexSubBoxShiftY;
  double Rh2SphMirrHexSubBoxShiftYQ3 = -Rh2SphMirrHexSubBoxShiftY;

//#define OPERATION add
//
#define OPERATION subtract

/*
  //<logvol name="lvRich2SphMirrorHexSeg33" material="RichMaterials/Rich2MirrorGlass">
  //<subtraction name="lvRich2SphMirrorHexSeg33Sub" >

  double outerRadius = Rh2SphMirror33OutR;
  double innerRadius = Rh2SphMirror33InnerR;
  double startPhiAngle = Rh2SphMirr33HexStartPhi;
  double deltaPhiAngle = Rh2SphMirr33HexDeltaPhi;
  double startThetaAngle = Rh2SphMirr33HexStartTheta;
  double deltaThetaAngle = Rh2SphMirr33HexDeltaTheta;
  SbPolyhedronSphere Rich2SphMirrorSphereSeg33(
  innerRadius,
  outerRadius,
  startPhiAngle,
  deltaPhiAngle,
  startThetaAngle,
  deltaThetaAngle);

  SbPolyhedron sbPolyhedron(Rich2SphMirrorSphereSeg33);

 {
  double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirrorHex33SubBoxQ0(sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrHexSubBoxShiftX;
  double y = Rh2SphMirrHexSubBoxShiftYQ0;
  double z = Rh2SphMirrHexSubBoxShiftZQ0;
  double rotX = Rh2SphMirrHexSubBoxRotXQ02;
  Rich2SphMirrorHex33SubBoxQ0.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPolyhedron = sbPolyhedron.OPERATION(Rich2SphMirrorHex33SubBoxQ0);
 }

 {
  double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirrorHex33SubBoxQ1(sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x= Rh2SphMirrHexSubBoxShiftX;
  double y = Rh2SphMirrHexSubBoxShiftYQ1;
  double z = Rh2SphMirrHexSubBoxShiftZQ1;
  double rotX = Rh2SphMirrHexSubBoxRotXQ13;
  Rich2SphMirrorHex33SubBoxQ1.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPolyhedron = sbPolyhedron.OPERATION(Rich2SphMirrorHex33SubBoxQ1);
 }

 {
   double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
   double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
   double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
   SbPolyhedronBox Rich2SphMirrorHex33SubBoxQ2(sizeX*0.5,sizeY*0.5,sizeZ*0.5);
   double x = Rh2SphMirrHexSubBoxShiftX;
   double y = Rh2SphMirrHexSubBoxShiftYQ2;
   double z = Rh2SphMirrHexSubBoxShiftZQ2;
   double rotX = Rh2SphMirrHexSubBoxRotXQ02;
   Rich2SphMirrorHex33SubBoxQ2.Transform(
     HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
   );
   sbPolyhedron = sbPolyhedron.OPERATION(Rich2SphMirrorHex33SubBoxQ2);
 }

 {
   double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
   double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
   double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
   SbPolyhedronBox Rich2SphMirrorHex33SubBoxQ3(sizeX*0.5,sizeY*0.5,sizeZ*0.5);
   double x = Rh2SphMirrHexSubBoxShiftX;
   double y = Rh2SphMirrHexSubBoxShiftYQ3;
   double z = Rh2SphMirrHexSubBoxShiftZQ3;
   double rotX = Rh2SphMirrHexSubBoxRotXQ13;
   Rich2SphMirrorHex33SubBoxQ3.Transform(
     HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
   );
   sbPolyhedron = sbPolyhedron.OPERATION(Rich2SphMirrorHex33SubBoxQ3);
}

*/

  double Rh2SphMirror12InnerR = 8531*mm;
  double Rh2SphMirror12OutR = Rh2SphMirror12InnerR + Rh2SphMirrorThickness;
  double Rh2SphMirr12HexDeltaTheta = (2.0*asin(Rh2SphMirrHexSegHorizSize/(2.0*Rh2SphMirror12InnerR)))*rad;
  double Rh2SphMirr12HexDeltaPhi = (2.0*asin(Rh2SphMirrHexSegVertSize/(2.0*Rh2SphMirror12InnerR)))*rad;
  double Rh2SphMirr12HexStartTheta = (pi/2.0)*rad-(Rh2SphMirr12HexDeltaTheta/2.0);
  double Rh2SphMirr12HexStartPhi = -1.0*(Rh2SphMirr12HexDeltaPhi/2.0);

  //<!-- cylider cut out for the segments around the beam pipe -->
  double Rh2SphMirCutOutBPipeCyliderR = 178*mm;
  double Rh2SphMirCutOutBPipeCyliderZ = 50*mm;
  //<!-- Shifts are in the local coord system of the mirror -->
  double Rh2SphMir12CutOutBPipeCyliderPosZ = 207*mm;
  double Rh2SphMir43CutOutBPipeCyliderPosZ = -207*mm;
  //double Rh2SphMirCutOutBPipeCyliderPosY = 0*mm;
  double Rh2SphMirCutOutBPipeCyliderRotY = 90*degree;


#ifdef SHAPE_1
  //<!-- special pieces -->
  //<logvol name="lvRich2SphMirror12HexSegLeftBHole" material="RichMaterials/Rich2MirrorGlass">
  //  <subtraction name="lvRich2SphMirror12HexSegLeftBHoleSub" >

  double outerRadius = Rh2SphMirror12OutR;
  double innerRadius = Rh2SphMirror12InnerR;
  double startPhiAngle = Rh2SphMirr12HexStartPhi;
  double deltaPhiAngle = Rh2SphMirr12HexDeltaPhi;
  double startThetaAngle = Rh2SphMirr12HexStartTheta;
  double deltaThetaAngle = Rh2SphMirr12HexDeltaTheta;

/*
  printf("debug : ir %g or %g deltaPhi %g deltaTheta %g\n",
    innerRadius,
    outerRadius,
    deltaPhiAngle/degree,
    deltaThetaAngle/degree);
*/

 {SbPolyhedronProcessor sbPP;

  //int nphi = int((pi * 2) / deltaPhiAngle);
  //int ntheta = int(pi / deltaThetaAngle);
  //int rotationSteps = SbMaximum(nphi,ntheta)*12;
  //printf("debug : nphi %d ntheta %d nstep %d\n",nphi,ntheta,rotationSteps);
  SbPolyhedron::SetNumberOfRotationSteps(720);
  //SbPolyhedron::SetNumberOfRotationSteps(24*7);

  SbPolyhedronSphere Rich2SphMirror12SphereLBHSeg(
  innerRadius,
  outerRadius,
  startPhiAngle,
  deltaPhiAngle,
  startThetaAngle,
  deltaThetaAngle);

 {double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirror12HexSubBoxLBHQ0
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrHexSubBoxShiftX;
  double y = Rh2SphMirrHexSubBoxShiftYQ0;
  double z = Rh2SphMirrHexSubBoxShiftZQ0;
  double rotX = Rh2SphMirrHexSubBoxRotXQ02;
  Rich2SphMirror12HexSubBoxLBHQ0.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror12HexSubBoxLBHQ0);}

 {double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirror12HexSubBoxLBHQ1
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrHexSubBoxShiftX;
  double y = Rh2SphMirrHexSubBoxShiftYQ1;
  double z = Rh2SphMirrHexSubBoxShiftZQ1;
  double rotX = Rh2SphMirrHexSubBoxRotXQ13;
  Rich2SphMirror12HexSubBoxLBHQ1.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror12HexSubBoxLBHQ1);}

 {double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirror12HexSubBoxLBHQ2
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrHexSubBoxShiftX;
  double y = Rh2SphMirrHexSubBoxShiftYQ2;
  double z = Rh2SphMirrHexSubBoxShiftZQ2;
  double rotX = Rh2SphMirrHexSubBoxRotXQ02;
  Rich2SphMirror12HexSubBoxLBHQ2.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror12HexSubBoxLBHQ2);}

 {double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirror12HexSubBoxLBHQ3
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrHexSubBoxShiftX;
  double y = Rh2SphMirrHexSubBoxShiftYQ3;
  double z = Rh2SphMirrHexSubBoxShiftZQ3;
  double rotX = Rh2SphMirrHexSubBoxRotXQ13;
  Rich2SphMirror12HexSubBoxLBHQ3.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror12HexSubBoxLBHQ3);}

 {double sizeZ = Rh2SphMirCutOutBPipeCyliderZ;
  double outerRadius = Rh2SphMirCutOutBPipeCyliderR;
  SbPolyhedron::SetNumberOfRotationSteps(24);
  SbPolyhedronTube Rich2SphMirror12HexSubBeamPipeTubeLBHH0(
        0,outerRadius,sizeZ*0.5);
  double x = Rh2SphMirror12InnerR;
  double y = 0;
  double z = Rh2SphMir12CutOutBPipeCyliderPosZ;
  double rotY = Rh2SphMirCutOutBPipeCyliderRotY;
  Rich2SphMirror12HexSubBeamPipeTubeLBHH0.Transform(
    HEPVis::SbRotation(SbVec3d(0,1,0),rotY),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror12HexSubBeamPipeTubeLBHH0);}

  SbPolyhedron sbPolyhedron;
  //for(unsigned int iopt=0;iopt<1000;iopt++) { //to use Shark
  for(unsigned int iopt=0;iopt<1;iopt++) { //to use Shark
    //SbPolyhedron sbPolyhedron = Rich2SphMirror12SphereLBHSeg;
    sbPolyhedron = Rich2SphMirror12SphereLBHSeg;
    if(sbPP.execute(sbPolyhedron)==FALSE) {
      std::cerr << "HEPVis_Polyhedron :"
                << " boolean operation failed."
                << std::endl;
    }
  } //end loop opt

  SoPolyhedron* polyhedron = new SoPolyhedron(sbPolyhedron);
  polyhedron->solid.setValue(solid);
  polyhedron->reducedWireFrame.setValue(reducedWireFrame);
  sceneGraph->addChild(polyhedron);}
#endif //SHAPE_1

#ifdef SHAPE_2
//    0xafcd270 /dd/Geometry/AfterMagnetRegion/Rich2/lvRich2SphMirror47RightHalfHexTop                           /dd/Materials/RichMaterials/Rich2MirrorGlass SolidType='SolidSubtraction'       name='lvRich2SphMirror47RightHalfHexSegT

//  <logvol name="lvRich2SphMirror47RightHalfHexTopBHoleSeg" material="RichMaterials/Rich2MirrorGlass">
//    <subtraction name="lvRich2SphMirror47RightHalfHexSegTBHSub" >

 {SbPolyhedronProcessor sbPP;

  //int nphi = int((pi * 2) / deltaPhiAngle);
  //int ntheta = int(pi / deltaThetaAngle);
  //int rotationSteps = SbMaximum(nphi,ntheta)*12;
  //printf("debug : nphi %d ntheta %d nstep %d\n",nphi,ntheta,rotationSteps);
  SbPolyhedron::SetNumberOfRotationSteps(720);
  //SbPolyhedron::SetNumberOfRotationSteps(24*7);

  double Rh2SphMirror47InnerR = 8578*mm;
  double Rh2SphMirror47OutR = Rh2SphMirror47InnerR + Rh2SphMirrorThickness;
  double Rh2SphMirr47HexDeltaTheta =(2.0*asin(Rh2SphMirrHexSegHorizSize/(2.0*Rh2SphMirror47InnerR)))*rad;
  double Rh2SphMirr47HexDeltaPhi = (2.0*asin(Rh2SphMirrHexSegVertSize/(2.0*Rh2SphMirror47InnerR)))*rad;
  double Rh2SphMirr47HexStartTheta = (pi/2.0)*rad-(Rh2SphMirr47HexDeltaTheta/2.0);
  double Rh2SphMirr47HexStartPhi = -1.0*(Rh2SphMirr47HexDeltaPhi/2.0);

  double Rh2SphMirrRightHalfHexSubBoxShiftX = Rh2SphMirrorOuterR;
  double Rh2SphMirrRightHalfHexSubBoxShiftZ = -(0.5*Rh2SPhMirrHexSubBoxLargeZSize);
  double Rh2SphMirrRightHalfHexSubBoxRotXQ0 = -Rh2SphMirrHexSubBoxRotX;
  double Rh2SphMirrRightHalfHexSubBoxRotXQ3 = Rh2SphMirrHexSubBoxRotX;
  double Rh2SphMirrRightHalfHexSubBoxShiftYQ0 = Rh2SphMirrHexSubBoxShiftY;
  double Rh2SphMirrRightHalfHexSubBoxShiftYQ3 = -Rh2SphMirrHexSubBoxShiftY;
  double Rh2SphMirrRightHalfHexSubBoxShiftZQ0 = Rh2SphMirrHexSubBoxShiftZ;
  double Rh2SphMirrRightHalfHexSubBoxShiftZQ3 = Rh2SphMirrHexSubBoxShiftZ;

  double Rh2SphMirCutOutBPipeCornerBoxX = 100*mm; //FIXME +mm
  double Rh2SphMirCutOutBPipeCornerBoxZ = 300*mm; //FIXME +mm
  double Rh2SphMirCutOutBPipeCornerBoxRotX = 10*degree;
  double Rh2SphMirCutOutBPipeCornerBoxY = 110.0*mm * cos(Rh2SphMirCutOutBPipeCornerBoxRotX);
  double Rh2SphMirCutOutBPipeCornerBoxPosYtop = 0.5*Rh2SPhMirrorSegHexDiagSize;
  double Rh2SphMirCutOutBPipeCornerBoxPosYbot = -1.0*Rh2SphMirCutOutBPipeCornerBoxPosYtop;
  double Rh2SphMirCutOutBPipeCornerBoxPosZ = 0*mm; //FIXME +mm

  double outerRadius = Rh2SphMirror47OutR;
  double innerRadius = Rh2SphMirror47InnerR;
  double startPhiAngle = Rh2SphMirr47HexStartPhi;
  double deltaPhiAngle = Rh2SphMirr47HexDeltaPhi;
  double startThetaAngle = Rh2SphMirr47HexStartTheta;
  double deltaThetaAngle = Rh2SphMirr47HexDeltaTheta;
  SbPolyhedronSphere Rich2SphMirror12SphereLBHSeg(
  innerRadius,
  outerRadius,
  startPhiAngle,
  deltaPhiAngle,
  startThetaAngle,
  deltaThetaAngle);

 {double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirror47RHHexSubBoxTBHQ0
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrRightHalfHexSubBoxShiftX;
  double y = Rh2SphMirrRightHalfHexSubBoxShiftYQ0;
  double z = Rh2SphMirrRightHalfHexSubBoxShiftZQ0;
  double rotX = Rh2SphMirrRightHalfHexSubBoxRotXQ0;
  Rich2SphMirror47RHHexSubBoxTBHQ0.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror47RHHexSubBoxTBHQ0);}

 {double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirror47RHHexSubBoxTBHQ3
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrRightHalfHexSubBoxShiftX;
  double y = Rh2SphMirrRightHalfHexSubBoxShiftYQ3;
  double z = Rh2SphMirrRightHalfHexSubBoxShiftZQ3;
  double rotX = Rh2SphMirrRightHalfHexSubBoxRotXQ3;
  Rich2SphMirror47RHHexSubBoxTBHQ3.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror47RHHexSubBoxTBHQ3);}

 {double sizeX = Rh2SPhMirrHexSubBoxLargeXSize;
  double sizeY = Rh2SPhMirrHexSubBoxLargeYSize;
  double sizeZ = Rh2SPhMirrHexSubBoxLargeZSize;
  SbPolyhedronBox Rich2SphMirror47RHHexSubBoxTBHQ12
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirrRightHalfHexSubBoxShiftX;
  double y = 0;
  double z = Rh2SphMirrRightHalfHexSubBoxShiftZ;
  double rotX = 0;
  Rich2SphMirror47RHHexSubBoxTBHQ12.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror47RHHexSubBoxTBHQ12);}

 {double sizeX = Rh2SphMirCutOutBPipeCornerBoxX;
  double sizeY = Rh2SphMirCutOutBPipeCornerBoxY;
  double sizeZ = Rh2SphMirCutOutBPipeCornerBoxZ;
  SbPolyhedronBox Rich2SphMirror47RHHexSubBeamPipeBoxTopBH
    (sizeX*0.5,sizeY*0.5,sizeZ*0.5);
  double x = Rh2SphMirror47InnerR;
  double y = Rh2SphMirCutOutBPipeCornerBoxPosYbot;
  double z = Rh2SphMirCutOutBPipeCornerBoxPosZ;
  double rotX = Rh2SphMirCutOutBPipeCornerBoxRotX;
  Rich2SphMirror47RHHexSubBeamPipeBoxTopBH.Transform(
    HEPVis::SbRotation(SbVec3d(1,0,0),rotX),SbVec3d(x,y,z)
  );
  sbPP.push_back(SbPolyhedronProcessor::SUBTRACTION,
                 Rich2SphMirror47RHHexSubBeamPipeBoxTopBH);}


  SbPolyhedron sbPolyhedron = Rich2SphMirror12SphereLBHSeg;
  if(sbPP.execute(sbPolyhedron)==FALSE) {
    std::cerr << "HEPVis_Polyhedron :"
              << " boolean operation failed."
              << std::endl;
  }

  SoPolyhedron* polyhedron = new SoPolyhedron(sbPolyhedron);
  polyhedron->solid.setValue(solid);
  polyhedron->reducedWireFrame.setValue(reducedWireFrame);
  sceneGraph->addChild(polyhedron);}

#endif //SHAPE_2

}


/*

  <logvol name="lvRich2SphMirror16LeftHalfHexTopBHoleSeg" material="RichMaterials/Rich2MirrorGlass">
    <subtraction name="lvRich2SphMirror16LeftHalfHexSegTBHSub" >
      <sphere name="Rich2SphMirror16SphereSegLHTBH"
	outerRadius ="Rh2SphMirror16OutR"
	innerRadius ="Rh2SphMirror16InnerR"
	startPhiAngle = "Rh2SphMirr16HexStartPhi"
	deltaPhiAngle = "Rh2SphMirr16HexDeltaPhi"
	startThetaAngle = "Rh2SphMirr16HexStartTheta"
	deltaThetaAngle = "Rh2SphMirr16HexDeltaTheta" />

      <box name="Rich2SphMirror16LHHexSubBoxTBHQ1"
	sizeX="Rh2SPhMirrHexSubBoxLargeXSize"
	sizeY="Rh2SPhMirrHexSubBoxLargeYSize"
	sizeZ="Rh2SPhMirrHexSubBoxLargeZSize" />
      <posXYZ x="Rh2SphMirrLeftHalfHexSubBoxShiftX"
	y="Rh2SphMirrLeftHalfHexSubBoxShiftYQ1"
	z="Rh2SphMirrLeftHalfHexSubBoxShiftZQ1" />
      <rotXYZ rotX="Rh2SphMirrLeftHalfHexSubBoxRotXQ1" />

      <box name="Rich2SphMirror16LHHexSubBoxTBHQ2"
	sizeX="Rh2SPhMirrHexSubBoxLargeXSize"
	sizeY="Rh2SPhMirrHexSubBoxLargeYSize"
	sizeZ="Rh2SPhMirrHexSubBoxLargeZSize" />
      <posXYZ x="Rh2SphMirrLeftHalfHexSubBoxShiftX"
	y="Rh2SphMirrLeftHalfHexSubBoxShiftYQ2"
	z="Rh2SphMirrLeftHalfHexSubBoxShiftZQ2" />
      <rotXYZ rotX="Rh2SphMirrLeftHalfHexSubBoxRotXQ2" />

      <box name="Rich2SphMirror16LHHexSubBoxTBHQ03"
	sizeX="Rh2SPhMirrHexSubBoxLargeXSize"
	sizeY="Rh2SPhMirrHexSubBoxLargeYSize"
	sizeZ="Rh2SPhMirrHexSubBoxLargeZSize" />
      <posXYZ x="Rh2SphMirrLeftHalfHexSubBoxShiftX"
	z="Rh2SphMirrLeftHalfHexSubBoxShiftZ" />

      <box name="Rich2SphMirror16LHHexSubBeamPipeBoxTopBH"
        sizeX="Rh2SphMirCutOutBPipeCornerBoxX"
	sizeY="Rh2SphMirCutOutBPipeCornerBoxY"
	sizeZ="Rh2SphMirCutOutBPipeCornerBoxZ"  />
      <posXYZ  x="Rh2SphMirror16InnerR"
	y="Rh2SphMirCutOutBPipeCornerBoxPosYbot"
	z="Rh2SphMirCutOutBPipeCornerBoxPosZ" />
      <rotXYZ  rotX="-1.0*Rh2SphMirCutOutBPipeCornerBoxRotX"   />
    </subtraction>
  </logvol>

*/
