//
//WARNING : do not put the below in the OnX_SWIG.i file
//  in some %{... %}. Else it is going to be after Python.h
//  and then compilation problem may happen on some platform.
//  (For example clash with Coin-2.x code on a slc3_gcc323).
//

#include <CoinPython/Inventor.h>

#include <HEPVis/SbAll.h>
#include <HEPVis/Utils.h>
#include <HEPVis/Detector.h>
#include <HEPVis/Geometry.h>
#include <HEPVis/Plotter.h>
#include <HEPVis/GUI.h>

#include <HEPVis/misc/SoTools.h>
#include <HEPVis/misc/SoStyleCache.h>

#if defined(__linux)
// Clash between os_defines.h (coming from <string>) and pyconfig.h
#if defined(_POSIX_C_SOURCE)
#undef _POSIX_C_SOURCE
#endif
#endif

#include <Python.h>

#ifdef WIN32
#include <windows.h>
#undef max
#undef ERROR
#undef DELETE
#endif

//#undef ANY

//If wrapping full Inventor too.
typedef SoGLLazyElement::GLState GLState;

#include "HEPVis_SWIG_Python.ic"
