
#include <Lib/Printer.h>
#include <Lib/Out.h>
#include <Lib/dirmanip.h>
#include <Lib/System.h>

//////////////////////////////////////////////////////////////////////////////
int main (
 int aArgc
,char** aArgs
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(aArgc<=0) return Lib::System::exitFailure();
  Lib::Printer printer;
  std::string arg0 = aArgs[0];
  std::string path;
  if(!Lib::dirmanip::binaryPath(arg0,path)) {
    Lib::Out out(printer);
    out << "Lib_whereami :"
        << " can't get binary path of " << arg0
        << Lib::endl;
    return Lib::System::exitFailure();
  }
  Lib::Out out(printer);
  out << path << Lib::endl;
  return Lib::System::exitSuccess();
}

// embed code :
#include <Printer.cxx>
#include <Out.cxx>
#include <dirmanip.cxx>
#include <System.cxx>
#include <smanip.cxx>
#include <cmanip.cxx>
#include <sout.cxx>

