
#include <Lib/Arguments.h>
#include <Lib/System.h>
#include <Lib/argZero.h>

#include <OnX/Core/Main.h>

//////////////////////////////////////////////////////////////////////////////
int main (
 int aArgc
,char** aArgv
)
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(aArgc<=0) return Lib::System::exitFailure();

 {bool is_Mac_app = false;
  if(!Lib::argZero::startMacApp(aArgv[0],"OnX",is_Mac_app)) return 1;}

 {Lib::Arguments args(aArgc,aArgv);
  OnX::Main onxMain(true,true,args.tovector());
  if(!onxMain.isValid()) return Lib::System::exitFailure();
  onxMain.steer();}

  // Some libraries (for exa Coin, gtk) may have declared 
  // C functions with ::atexit. To ease debugging we call
  // explicitly ::exit here.
  Lib::System::exit();

  return Lib::System::exitSuccess();
}
