//
//  All functions here should be Session callbacks, that is to say
// functions with signature :
//   extern "C" {
//     void callback_without_arguments(Slash::Core::ISession&);
//     void callback_with_arguments(Slash::Core::ISession&,const std::vector<std::string>&);
//   }
//

#include <Slash/Core/ISession.h>
#include <Lib/Out.h>

extern "C" {

//////////////////////////////////////////////////////////////////////////////
void OnX_Finalize(
 Slash::Core::ISession& aSession
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  Lib::Out out(aSession.printer());
  out << "OnX_Finalize." << Lib::endl;
}

}
