package OnX;

import java.io.*;

import OnX.Printer;

public class Initialize {
  private long fSession = 0;
  public Initialize(Long aSession) { 
    fSession = aSession.longValue();
    System.loadLibrary("OnXJavaSWIG");
  }
  public long getSession() { return fSession;}
  public void execute() {
    // Called when loading the java interpreter 
    // (see OnX/source/Java.cxx/OnXJavaInitialize).
    //System.out.println("debug : OnX.Initalize::execute");

    // Redirect System output toward the GUI :
    //prevOut = System.out;
    //prevErr = System.err;
    // Create new streams
    Printer newOut = new Printer(fSession);
    Printer newErr = new Printer(fSession);
    System.setOut(newOut);
    System.setErr(newErr);

    //System.out.println("OnX.Initialize::execute : test out redirection.");
    //System.err.println("OnX.Initialize::execute : test err redirection.");

  }
}
