//
//  All functions here should be Session callbacks, that is to say
// functions with signature :
//   extern "C" {
//     void callback_without_arguments(Slash::Core::ISession&);
//     void callback_with_arguments(Slash::Core::ISession&,const std::vector<std::string>&);
//   }
//

#include <Slash/Core/ISession.h>

#include <OnXLab/Core/AnalysisFactory.h>

extern "C" {

//////////////////////////////////////////////////////////////////////////////
void OnXLab_createAIDA(
 Slash::Core::ISession& aSession
) 
//////////////////////////////////////////////////////////////////////////////
// Used by G4Lab::Manager::findAIDA.
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  if(!aSession.findManager("AnalysisFactory")) {
    aSession.addManager(new OnXLab::AnalysisFactory(aSession));
  }
}

}
