#ifndef OpenPAW_ZONE_h
#define OpenPAW_ZONE_h

namespace OpenPAW {

class ZONE {
public:
  ZONE(int,int,int,bool);
  ZONE(const ZONE&);
  virtual ~ZONE();
  ZONE& operator=(const ZONE&);
  int NX() const;
  int NY() const;
  int FIRST() const;
  bool SUPER() const;
private:
  int fNX;
  int fNY;
  int fFIRST;
  bool fSUPER;
};

}

#endif
