#include <Lib/Parameters.h>

// This is long to compile. Isolate it in a standalone files.

//////////////////////////////////////////////////////////////////////////////
void att_opt_init(
 Lib::Parameters<std::string,double>& aATT
,Lib::Parameters<std::string,std::string>& aOPT
) 
//////////////////////////////////////////////////////////////////////////////
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{
  //HPLSET :
  aATT.add("XSIZ","Size along X",20.00,20.00,0);
  aATT.add("YSIZ","Size along Y",20.00,20.00,0);
  aATT.add("XMGL","X MarGin Left",2.00,2.00,0);
  aATT.add("XMGR","X MarGin Right",2.00,2.00,0);
  aATT.add("XOPENPAW","distance y axis to Label",1.40,1.40,0);
  aATT.add("XVAL","distance y axis to axis VALues",0.40,0.40,0);
  aATT.add("XTIC","X axis TICk marks length",0.30,0.30,0);
  aATT.add("YMGL","Y MarGin Low",2.00,2.00,0);
  aATT.add("YMGU","Y MarGin Up",2.00,2.00,0);
  aATT.add("YOPENPAW","distance x axis to Label",0.80,0.80,0);
  aATT.add("YVAL","distance x axis to axis VALues",0.20,0.20,0);
  aATT.add("YTIC","Y axis TICk marks length",0.30,0.30,0);
  aATT.add("YNPG","Y position for Number of PaGe",0.60,0.60,0);
  aATT.add("YGTI","Y position of Global TItle",1.50,1.50,0);
  aATT.add("YHTI","Y position of Histogram TItle",1.20,1.20,0);
  aATT.add("SMGR","Stat MarGin Right (%)",0.00,0.00,0);
  aATT.add("SMGU","Stat MarGin Up (%)",0.00,0.00,0);
  aATT.add("CMMG","ColorMap MarGin",0.30,0.30,0);
  aATT.add("CVAL","distance Color map axis VALues",0.20,0.20,0);
  aATT.add("KSIZ","Hershey charact. (HPLKEY)",0.28,0.28,0);
  aATT.add("GSIZ","Global title SIZe",0.28,0.28,0);
  aATT.add("TSIZ","histogram Title SIZe",0.28,0.28,0);
  aATT.add("ASIZ","Axis label SIZe",0.28,0.28,0);
  aATT.add("CSIZ","Comment and stat SIZe",0.28,0.28,0);
  aATT.add("PSIZ","Page number SIZe",0.28,0.28,0);
  aATT.add("VSIZ","axis Values SIZe",0.28,0.28,0);
  aATT.add("SSIZ","aSterisk SIZe (for functions)",0.28,0.28,0);
  aATT.add("2SIZ","scatter-plot & table-char.",0.28,0.28,0);
  aATT.add("XWIN","X space between WINdows",2.00,2.00,0);
  aATT.add("YWIN","Y space between WINdows",2.00,2.00,0);
  aATT.add("HMAX","Histogram MAXimum for scale",0.90,0.90,0);
  aATT.add("PASS","number of PASS for characters",1.00,1.00,0);
  aATT.add("CSHI","Character SHIft between 2 pass",0.03,0.03,0);
  aATT.add("BARO","BAR histogram Offset (%)",0.25,0.25,0);
  aATT.add("BARW","BAR histogram Width (%)",0.50,0.50,0);
  aATT.add("DASH","length of basic DASHed segment",0.15,0.15,0);
  aATT.add("DMOD","Dash MODe (or type) for lines",1,1,0);
  aATT.add("GRID","GRID line type",3,3,0);
  aATT.add("CMAP","Color MAP position",1,1,0);
  aATT.add("DATE","DATE position",2,2,0);
  aATT.add("FILE","FILE name position",1,1,0);
  aATT.add("STAT","STAT values to be plotted",1111,1111,0);
  aATT.add("FIT","FIT values to be plotted",101,101,0);
  aATT.add("HTYP","Histogram fill area TYPe",0,0,0);
  aATT.add("BTYP","Box fill area TYPe",0,0,0);
  aATT.add("PTYP","Picture fill area TYPe",0,0,0);
  aATT.add("FTYP","Function fill area TYPe",0.00,0.00,0);
  aATT.add("HCOL","Histogram fill area COLor",0.00,1.00,0);
  aATT.add("BCOL","Box fill area and shading",1,1,0);
  aATT.add("PCOL","Picture fill area COLor",1,1,0);
  aATT.add("FCOL","Function fill area COLor",1,1,0);
  aATT.add("XCOL","X axis COLor",1,1,0);
  aATT.add("YCOL","Y axis COLor",1,1,0);
  aATT.add("HWID","Histogram line WIDth",1,1,0);
  aATT.add("BWID","Box line WIDth",1,1,0);
  aATT.add("PWID","Picture line WIDth",1,1,0);
  aATT.add("FWID","Function line WIDth",1,1,0);
  aATT.add("XWID","X ticks WIDth",1,1,0);
  aATT.add("YWID","Y ticks WIDth",1,1,0);
  aATT.add("CWID","Color map WIDth",0.50,0.50,0);
  aATT.add("TFON","Text (and Title) FONT and PREC",2,2,0);
  aATT.add("GFON","Global title FONT and PREC",2,2,0);
  aATT.add("VFON","axis Values FONT and PREC",2,2,0);
  aATT.add("LFON","axis Labels FONT and PREC",2,2,0);
  aATT.add("CFON","Comment FONT and PREC",2,2,0);
  aATT.add("NDVX","Number of DIVisions for X axis",10510.00,10510.00,0);
  aATT.add("NDVY","Number of DIVisions for Y axis",10510.00,10510.00,0);
  aATT.add("NDVZ","Number of DIVisions for Z axis",10510.00,10510.00,0);
  aATT.add("FPGN","First PaGe Number",1,1,0);
  aATT.add("ERRX","ERRor on X (% of bin width)",0.50,0.50,0);
  aATT.add("1DEF","1DPlot Option",0,0,0);
  aATT.add("2DEF","2D Plot Option",0,0,0);
  //IGSET :
  aATT.add("FAIS","Fill area interior style",0,0,0);
  aATT.add("FASI","Fill area style index",1,1,0);
  aATT.add("LTYP","Line type",1,1,0);
  aATT.add("BASL","Basic segment length (NDC)",0.150,0.010,0);
  aATT.add("LWID","Line width",1.000,1.000,0);
  aATT.add("MTYP","Marker type",1,1,0);
  aATT.add("MSCF","Marker scale factor",1.000,1.000,0);
  aATT.add("PLCI","Polyline color index",1,1,0);
  aATT.add("PMCI","Polymarker color index",1,1,0);
  aATT.add("FACI","Fill area color index",1,1,0);
  aATT.add("TXCI","Text color index",1,1,0);
  aATT.add("TXAL","Text alignment",0,0,0);
  aATT.add("CHHE","Character height",0.280,0.280,0);
  aATT.add("TANG","Text angle",0.000,0.000,0);
  aATT.add("TXFP","Text font and precision",2,2,0);
  aATT.add("PICT","Current automatic number",1,1,0);
  aATT.add("BORD","Border flag",0,0,0);
  aATT.add("PASS","Number of pass in IGTEXT",1,1,0);
  aATT.add("CSHI","IGTEXT shift",0.030,0.020,0);
  aATT.add("LASI","Label axis size",0.018,0.018,0);
  aATT.add("LAOF","Label axis offset",0.013,0.013,0);
  aATT.add("TMSI","Tick marks size",0.019,0.019,0);
  aATT.add("AWLN","Axis wire lenght",0.000,0.000,0);
  aATT.add("BARO","Offset of IGHIST (IGRAPH)",0.250,0.250,0);
  aATT.add("BARW","Width of IGHIST (IGRAPH) bars",0.500,0.500,0);
  aATT.add("NCOL","Number of COLors",8,8,0);
  aATT.add("CLIP","Clipping mode",1,1,0);
  aATT.add("NLIN","Number of line for 3D shapes",40,40,0);
  aATT.add("AURZ","Automatic saving flag",0,0,0);
  aATT.add("DIME","Dimension used (2D or 3D)",2,2,0);
  aATT.add("ZBUF","Z-Buffer (1=on or 0=off)",0,0,0);

  aOPT.add("VERT","VERTical or HORIzontal orientation of paper","VERT","VERT","HORI");
  aOPT.add("NEAH","Error bars And Histogram are plotted (if both are present)","NEAH","NEAH","EAH");
  aOPT.add("NCHA","scatter plots drawn with dots (NCHA) or 1 char./bin (CHA)","NCHA","NCHA","CHA");
  aOPT.add("NAST","functions drawn with (AST) or without (NAST) asterisks","NAST","NAST","AST");
  aOPT.add("SOFT","SOFTware or HARDware characters are used","SOFT","SOFT","HARD");
  aOPT.add("NSQR","size is set to the largest square (SQR)","NSQR","NSQR","SQR");
  aOPT.add("HTIT","HBOOK TITle (HTIT) or User TITle (UTIT) is printed","HTIT","HTIT","UTIT");
  aOPT.add("TAB","table printed as TABles (TAB) or scatter plots (NTAB)","TAB","TAB","NTAB");
  aOPT.add("BOX","a box is (BOX) or is not (NBOX) drawn around picture","BOX","BOX","NBOX");
  aOPT.add("NTIC","cross-wires are drawned (TIC) or not (NTIC) on each plot","NTIC","NTIC","TIC");
  aOPT.add("NSTA","STAtistics are printed (STA) or not (NSTA) on each plot","NSTA","NSTA","STA");
  aOPT.add("NFIT","FIT parameters are printed or not (NFIT) on each plot","NFIT","NFIT","FIT");
  aOPT.add("NZFL","picture is (ZFL) or is not (NZFL) put in Z data base","NZFL","NZFL","ZFL");
  aOPT.add("NPTO","PTO (Please Turn Over) (NPTO)","NPTO","NPTO","PTO");
  aOPT.add("NBAR","BAR charts for histogram (NBAR)","NBAR","NBAR","BAR");
  aOPT.add("DVXR","Integer (DVXI) or Real (DVXR) divisions for X axis","DVXR","DVXR","DVXI");
  aOPT.add("DVYR","Integer (DVYI) or Real (DVYR) divisions for Y axis","DVYR","DVYR","DVYI");
  aOPT.add("NGRI","GRID or not grid (NGRI) on X and Y axis","NGRI","NGRI","GRID");
  aOPT.add("NDAT","DATE is printed (DATE) or not (NDAT) on each plot","NDAT","NDAT","DATE");
  aOPT.add("NFIL","FILE name is printed (FILE) or not (NFIL) on each plot","NFIL","NFIL","FILE");
  aOPT.add("A4","page format for the plotter (A0,A1,A2,A3,A4,A5,A6)","A4","A4","A0/6");
  aOPT.add("NOPG","page number is (P ) or is not (NOPG) printed","NOPG","NOPG","P");
  aOPT.add("LINY","LINear or LOGarithmic scale in Y","LINY","LINY","LOGY");
  aOPT.add("LINX","LINear or LOGarithmic scale in X","LINX","LINX","LOGX");
  aOPT.add("LINZ","LINear or LOGarithmic scale in Z (Lego or Surface)","LINZ","LINZ","LOGZ");
  aOPT.add("HNST","Filling statistics (HSTA) (HNST)","HNST","HNST","HSTA");

  //G.Barrand :
  aOPT.add("COLL","Coloring by level (COLL) or by VALUE (COLV) (OpenPAW)","COLL","COLL","COLV");
  aOPT.add("PTIT","If RTIT, UTIT uses a ROOT-like box for title.","PTIT","PTIT","RTIT");

}
