
set ROOT_version=v5-13-04b
set ROOT_home=/usr/local/ROOT/${ROOT_version}

setenv PATH "${PATH}:${ROOT_home}/bin"

if ( `uname` == "Linux" ) then
  set lib_path="${ROOT_home}/lib/root"
  set lib_curr=`printenv LD_LIBRARY_PATH`
  if ( "${lib_curr}" == "" ) then
    setenv LD_LIBRARY_PATH "${lib_path}"
  else
    if ( `echo "${lib_curr}" | grep "${lib_path}" ` == "" ) then
      setenv LD_LIBRARY_PATH "${LD_LIBRARY_PATH}:${lib_path}"
    endif
  endif
  unset lib_curr
  unset lib_path
endif

