@ECHO OFF
SETLOCAL

REM #
REM # File produced by the obuild tool version 1.0
REM # for the package VisAIDA with version v1r0p3.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_AIDA_example_DataPointSetCreateFromData_vis
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET obuild_VisAIDA_path=%~dp0
REM # Remove ending \obuild\DOS\
SET obuild_VisAIDA_path=%obuild_VisAIDA_path:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET obuild_dir_bin=bin_obuild
) ELSE (
  SET obuild_dir_bin=%OBUILD_DIR_BIN%
)

IF "%obuild_dir_bin%" == "" (
  ECHO obuild_dir_bin variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%" MKDIR "%obuild_VisAIDA_path%\%obuild_dir_bin%"

IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%" MKDIR "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\obuild_platform.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_VisAIDA_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_VisAIDA_path%\obuild\cpp\obuild_platform.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_platform.obj DEL obuild_platform.obj
)

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
SET obuild_cxx_command=cl.exe
:end_if_platform_1
SET obuild_platform_result=
IF "%obuild_cxx_command%" == ""  ECHO Variable obuild_cxx_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
SET obuild_cxx_optimize=/O2
:end_if_platform_3
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
SET obuild_cxx_debug=/ZI /Od
:end_if_platform_5
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
SET obuild_cxx_options=/nologo /DWIN32 /MD /GX /GR /W3
:end_if_platform_7
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_8
  SET obuild_cxx_debug_local=%obuild_cxx_debug%
  GOTO end_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_8
:else_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_8
  SET obuild_cxx_debug_local=
:end_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_8

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_9
  SET obuild_cxx_optimize_local=%obuild_cxx_optimize%
  GOTO end_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_9
:else_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_9
  SET obuild_cxx_optimize_local=
:end_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_9


IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%" MKDIR "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\obuild_find.exe" (
  cl.exe /nologo /DWIN32 /MD /O2 /W3 /GX /GR /Fe"%obuild_VisAIDA_path%\%obuild_dir_bin%\obuild_find.exe" "%obuild_VisAIDA_path%\obuild\cpp\obuild_find.cpp" 1> cl_exe_error
  IF ERRORLEVEL 1 TYPE cl_exe_error
  IF NOT ERRORLEVEL 1 DEL cl_exe_error 
  IF EXIST obuild_find.obj DEL obuild_find.obj
)
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  AIDA v3r2p1`) DO SET obuild_AIDA_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_AIDA_path  ECHO Can't find AIDA package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r1p2`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r1p2`) DO SET obuild_OnXLab_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r*`) DO SET obuild_OnX_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  expat v1r*`) DO SET obuild_expat_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_expat_path  ECHO Can't find expat package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  BatchLab v1r*`) DO SET obuild_BatchLab_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_BatchLab_path  ECHO Can't find BatchLab package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HCL v7r*`) DO SET obuild_HCL_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_HCL_path  ECHO Can't find HCL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Lib v8r*`) DO SET obuild_Lib_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_Lib_path  ECHO Can't find Lib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Midnight v4r*`) DO SET obuild_Midnight_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_Midnight_path  ECHO Can't find Midnight package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  Minuit v1r*`) DO SET obuild_Minuit_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_Minuit_path  ECHO Can't find Minuit package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  HEPVis v6r*`) DO SET obuild_HEPVis_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_HEPVis_path  ECHO Can't find HEPVis package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  jpeg v1r*`) DO SET obuild_jpeg_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_jpeg_path  ECHO Can't find jpeg package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  dvi2bitmap v1r*`) DO SET obuild_dvi2bitmap_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_dvi2bitmap_path  ECHO Can't find dvi2bitmap package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  freetype2 v1r*`) DO SET obuild_freetype2_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_freetype2_path  ECHO Can't find freetype2 package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  png v1r*`) DO SET obuild_png_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_png_path  ECHO Can't find png package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zip v1r*`) DO SET obuild_zip_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_zip_path  ECHO Can't find zip package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  zlib v1r*`) DO SET obuild_zlib_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_zlib_path  ECHO Can't find zlib package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  CoinGL v1r*`) DO SET obuild_CoinGL_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_CoinGL_path  ECHO Can't find CoinGL package.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  UseAIDA v1r*`) DO SET obuild_UseAIDA_path=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT DEFINED obuild_UseAIDA_path  ECHO Can't find UseAIDA package.  && GOTO obuild_return

SET obuild_cxx_includes=/I"%obuild_UseAIDA_path%\examples\cpp"
SET obuild_cxx_includes=%obuild_cxx_includes% /I"%obuild_AIDA_path%\src\cpp"

IF EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis" RMDIR /S /Q "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis"
IF NOT EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis" MKDIR "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis"

@IF %obuild_verbose% == yes @ECHO ON 
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_AIDA_example_DataPointSetCreateFromData_vis\DataPointSetCreateFromData.obj  /Tp"%obuild_UseAIDA_path%\examples\cpp\DataPointSetCreateFromData.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_VisAIDA_path%\obuild"

cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_AIDA_example_DataPointSetCreateFromData_vis\Random.obj  /Tp"%obuild_UseAIDA_path%\examples\cpp\Random.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_VisAIDA_path%\obuild"

cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
%obuild_cxx_command% /c %obuild_cxx_debug_local% %obuild_cxx_optimize_local% %obuild_cxx_options% %obuild_cxx_macros% %obuild_cxx_includes% /Fo.\app_AIDA_example_DataPointSetCreateFromData_vis\RandGauss.obj  /Tp"%obuild_UseAIDA_path%\examples\cpp\RandGauss.cpp" 1> cl_exe_error
@IF ERRORLEVEL 1 @TYPE cl_exe_error && @GOTO obuild_return
@IF NOT ERRORLEVEL 1 @DEL cl_exe_error
cd "%obuild_VisAIDA_path%\obuild"

@IF %obuild_verbose% == yes @ECHO OFF 

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_18
SET obuild_cxx_linker_command=link.exe
:end_if_platform_18
SET obuild_platform_result=
IF "%obuild_cxx_linker_command%" == ""  ECHO Variable obuild_cxx_linker_command not defined.  && GOTO obuild_return

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_20
SET obuild_cxx_linker_debug=/DEBUG
:end_if_platform_20
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_22
SET obuild_cxx_linker_options=/nologo
:end_if_platform_22
SET obuild_platform_result=

IF NOT %obuild_debug% == yes GOTO else_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_23
  SET obuild_cxx_linker_debug_local=%obuild_cxx_linker_debug%
  GOTO end_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_23
:else_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_23
  SET obuild_cxx_linker_debug_local=
:end_if_db_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_23

IF NOT %obuild_optimize% == yes GOTO else_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_24
  SET obuild_cxx_linker_optimize_local=%obuild_cxx_linker_optimize%
  GOTO end_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_24
:else_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_24
  SET obuild_cxx_linker_optimize_local=
:end_if_opt_build_app_AIDA_example_DataPointSetCreateFromData_vis_sh_24

SET obuild_linked_paths=/LIBPATH:"%obuild_OnXLab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=OnXLabAIDA.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_OnXLab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% OnXLabCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_OnX_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% OnXCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibXML.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_expat_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_expat.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibZip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_BatchLab_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% BatchLabCore.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HCL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HCL.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Lib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% LibUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Midnight_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% Midnight.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_Minuit_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Minuit.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisPlotter.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisDetector.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisGeometry.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_HEPVis_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% HEPVisUtils.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_jpeg_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_jpeg.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_dvi2bitmap_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_dvi2bitmap.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_freetype2_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_freetype2.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_png_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_png.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zip_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zip.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_zlib_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_zlib.lib
SET obuild_linked_paths=%obuild_linked_paths% /LIBPATH:"%obuild_CoinGL_path%\%obuild_dir_bin%"
SET obuild_linked_libraries=%obuild_linked_libraries% osc_Coin.lib
FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  "Windows_NT"`) DO SET obuild_platform_result=%%j
cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
IF NOT %obuild_platform_result% == yes GOTO end_if_platform_70
SET obuild_linked_libraries=%obuild_linked_libraries% glu32.lib opengl32.lib gdi32.lib user32.lib
:end_if_platform_70
SET obuild_platform_result=

FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_VisAIDA_0=%%d
cd "%obuild_VisAIDA_path%\%obuild_dir_bin%"
IF EXIST .\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs DEL .\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs
FOR %%f IN (.\app_AIDA_example_DataPointSetCreateFromData_vis\*.obj) DO ECHO %%f >> .\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs
REM # Link AIDA_example_DataPointSetCreateFromData_vis :
IF EXIST .\AIDA_example_DataPointSetCreateFromData_vis.exe DEL .\AIDA_example_DataPointSetCreateFromData_vis.exe
@IF %obuild_verbose% == yes @ECHO ON 
%obuild_cxx_linker_command% %obuild_cxx_linker_debug_local% %obuild_cxx_linker_optimize_local% %obuild_cxx_linker_options% /out:.\AIDA_example_DataPointSetCreateFromData_vis.exe @.\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs %obuild_linked_paths% %obuild_linked_libraries%
@IF ERRORLEVEL 1 @GOTO obuild_return
@IF %obuild_verbose% == yes @ECHO OFF 

cd "%obuild_pwd_VisAIDA_0%"
SET obuild_pwd_VisAIDA_0=
REM # Some cleanup :
IF EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs" DEL "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs"
IF EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.ilk" DEL "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.ilk"
IF EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.pdb" DEL "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.pdb"
IF EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs" DEL "%obuild_VisAIDA_path%\%obuild_dir_bin%\app_AIDA_example_DataPointSetCreateFromData_vis\tmp_objs"
IF EXIST "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exp" DEL "%obuild_VisAIDA_path%\%obuild_dir_bin%\AIDA_example_DataPointSetCreateFromData_vis.exp"

:obuild_return
ENDLOCAL
@ECHO ON
