REM #
REM # File produced by the obuild tool version @@obuild_version@@
REM # for the package @@package@@ with version @@version@@.
REM #

REM #////////////////////////////////////////////////
REM # Usage :
REM #   DOS> CD some_path\pack\version\obuild
REM #   DOS> DOS\build_@@component@@
REM #
REM #////////////////////////////////////////////////

REM #////////////////////////////////////////////////
REM #/// Get path of this file :
REM #////////////////////////////////////////////////
SET @@path_variable@@=%~dp0
REM # Remove ending \obuild\DOS\
SET @@path_variable@@=%@@path_variable@@:~0,-12%

REM #////////////////////////////////////////////////
REM #/// Treat arguments :
REM #////////////////////////////////////////////////

SET obuild_verbose=no
SET obuild_debug=no
SET obuild_optimize=yes
SET obuild_set_x=no

:next_arg
IF "%1%" == "" GOTO end_args

IF NOT "%1%" == "-v" GOTO end_if_v
  SET obuild_verbose=yes
  SHIFT
  GOTO next_arg
:end_if_v

IF NOT "%1%" == "-g" GOTO end_if_g
  SET obuild_debug=yes
  SHIFT
  GOTO next_arg
:end_if_g

IF NOT "%1%" == "-x" GOTO end_if_x
  SET obuild_set_x=yes
  SHIFT
  GOTO next_arg
:end_if_x

:end_args

REM #////////////////////////////////////////////////
REM #/// End arguments.
REM #////////////////////////////////////////////////

IF %obuild_set_x% == yes ECHO ON

IF %obuild_debug% == yes SET obuild_optimize=no

IF "%OBUILD_DIR_BIN%" == "" (
  SET @@dir_bin_variable@@=bin_obuild
) ELSE (
  SET @@dir_bin_variable@@=%OBUILD_DIR_BIN%
)

IF "%@@dir_bin_variable@@%" == "" (
  ECHO @@dir_bin_variable@@ variable not defined.
  GOTO obuild_return
)

IF NOT EXIST "@@dir_bin@@" MKDIR "@@dir_bin@@"

